/* 
   name:     UNO_XINTERFACES.REX
   purpose:  define the list of OOo interface classes
   author:   Rony G. Flatscher 
   created:  20100213 18:04:47
   usage:    just require file, then call the routine "OOo.getInterfaceList" to retrieve the list

   jars analyzed to create this file:
                             "D:\Programme\OpenOffice.org 3\URE\java\juh.jar":    47 entries,     3 (  6.4%)  being XInterface class(es)
                            "D:\Programme\OpenOffice.org 3\URE\java\ridl.jar":   468 entries,   223 ( 47.6%)  being XInterface class(es)
                            "D:\Programme\OpenOffice.org 3\URE\java\jurt.jar":    98 entries,     2 (  2.0%)  being XInterface class(es)
              "D:\Programme\OpenOffice.org 3\Basis\program\classes\unoil.jar":  2598 entries,  1368 ( 52.7%)  being XInterface class(es)
             ---------------------------------------------------------------------------------------------------------------------------
                                                                       totals:  3211 entries,  1596 ( 49.7%)  being XInterface class(es)

  license:                                                                      
                                                                                
   ------------------------ Apache Version 2.0 license -------------------------
      Copyright (C) 2006-2010 Rony G. Flatscher                                 
                                                                                
      Licensed under the Apache License, Version 2.0 (the "License");           
      you may not use this file except in compliance with the License.          
      You may obtain a copy of the License at                                   
                                                                                
          http://www.apache.org/licenses/LICENSE-2.0                            
                                                                                
      Unless required by applicable law or agreed to in writing, software       
      distributed under the License is distributed on an "AS IS" BASIS,         
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  
      See the License for the specific language governing permissions and       
      limitations under the License.                                            
   -----------------------------------------------------------------------------

*/

::ROUTINE UNO.getInterfaceList PUBLIC

   l=.list~of( -
		"com.sun.star.accessibility.XAccessible"                                   , ,   -- #    1 unoil.jar
		"com.sun.star.accessibility.XAccessibleAction"                             , ,   -- #    2 unoil.jar
		"com.sun.star.accessibility.XAccessibleComponent"                          , ,   -- #    3 unoil.jar
		"com.sun.star.accessibility.XAccessibleContext"                            , ,   -- #    4 unoil.jar
		"com.sun.star.accessibility.XAccessibleEditableText"                       , ,   -- #    5 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventBroadcaster"                   , ,   -- #    6 unoil.jar
		"com.sun.star.accessibility.XAccessibleEventListener"                      , ,   -- #    7 unoil.jar
		"com.sun.star.accessibility.XAccessibleExtendedComponent"                  , ,   -- #    8 unoil.jar
		"com.sun.star.accessibility.XAccessibleHyperlink"                          , ,   -- #    9 unoil.jar
		"com.sun.star.accessibility.XAccessibleHypertext"                          , ,   -- #   10 unoil.jar
		"com.sun.star.accessibility.XAccessibleImage"                              , ,   -- #   11 unoil.jar
		"com.sun.star.accessibility.XAccessibleKeyBinding"                         , ,   -- #   12 unoil.jar
		"com.sun.star.accessibility.XAccessibleMultiLineText"                      , ,   -- #   13 unoil.jar
		"com.sun.star.accessibility.XAccessibleRelationSet"                        , ,   -- #   14 unoil.jar
		"com.sun.star.accessibility.XAccessibleSelection"                          , ,   -- #   15 unoil.jar
		"com.sun.star.accessibility.XAccessibleStateSet"                           , ,   -- #   16 unoil.jar
		"com.sun.star.accessibility.XAccessibleTable"                              , ,   -- #   17 unoil.jar
		"com.sun.star.accessibility.XAccessibleText"                               , ,   -- #   18 unoil.jar
		"com.sun.star.accessibility.XAccessibleTextAttributes"                     , ,   -- #   19 unoil.jar
		"com.sun.star.accessibility.XAccessibleTextMarkup"                         , ,   -- #   20 unoil.jar
		"com.sun.star.accessibility.XAccessibleValue"                              , ,   -- #   21 unoil.jar
		"com.sun.star.animations.XAnimate"                                         , ,   -- #   22 unoil.jar
		"com.sun.star.animations.XAnimateColor"                                    , ,   -- #   23 unoil.jar
		"com.sun.star.animations.XAnimateMotion"                                   , ,   -- #   24 unoil.jar
		"com.sun.star.animations.XAnimateSet"                                      , ,   -- #   25 unoil.jar
		"com.sun.star.animations.XAnimateTransform"                                , ,   -- #   26 unoil.jar
		"com.sun.star.animations.XAnimationListener"                               , ,   -- #   27 unoil.jar
		"com.sun.star.animations.XAnimationNode"                                   , ,   -- #   28 unoil.jar
		"com.sun.star.animations.XAnimationNodeSupplier"                           , ,   -- #   29 unoil.jar
		"com.sun.star.animations.XAudio"                                           , ,   -- #   30 unoil.jar
		"com.sun.star.animations.XCommand"                                         , ,   -- #   31 unoil.jar
		"com.sun.star.animations.XIterateContainer"                                , ,   -- #   32 unoil.jar
		"com.sun.star.animations.XTargetPropertiesCreator"                         , ,   -- #   33 unoil.jar
		"com.sun.star.animations.XTimeContainer"                                   , ,   -- #   34 unoil.jar
		"com.sun.star.animations.XTransitionFilter"                                , ,   -- #   35 unoil.jar
		"com.sun.star.auth.XSSOAcceptorContext"                                    , ,   -- #   36 unoil.jar
		"com.sun.star.auth.XSSOContext"                                            , ,   -- #   37 unoil.jar
		"com.sun.star.auth.XSSOInitiatorContext"                                   , ,   -- #   38 unoil.jar
		"com.sun.star.auth.XSSOManager"                                            , ,   -- #   39 unoil.jar
		"com.sun.star.auth.XSSOManagerFactory"                                     , ,   -- #   40 unoil.jar
		"com.sun.star.auth.XSSOPasswordCache"                                      , ,   -- #   41 unoil.jar
		"com.sun.star.awt.XActionListener"                                         , ,   -- #   42 unoil.jar
		"com.sun.star.awt.XActivateListener"                                       , ,   -- #   43 unoil.jar
		"com.sun.star.awt.XAdjustmentListener"                                     , ,   -- #   44 unoil.jar
		"com.sun.star.awt.XBitmap"                                                 , ,   -- #   45 unoil.jar
		"com.sun.star.awt.XButton"                                                 , ,   -- #   46 unoil.jar
		"com.sun.star.awt.XCallback"                                               , ,   -- #   47 unoil.jar
		"com.sun.star.awt.XCheckBox"                                               , ,   -- #   48 unoil.jar
		"com.sun.star.awt.XComboBox"                                               , ,   -- #   49 unoil.jar
		"com.sun.star.awt.XContainerWindowEventHandler"                            , ,   -- #   50 unoil.jar
		"com.sun.star.awt.XContainerWindowProvider"                                , ,   -- #   51 unoil.jar
		"com.sun.star.awt.XControl"                                                , ,   -- #   52 unoil.jar
		"com.sun.star.awt.XControlContainer"                                       , ,   -- #   53 unoil.jar
		"com.sun.star.awt.XControlModel"                                           , ,   -- #   54 unoil.jar
		"com.sun.star.awt.XCurrencyField"                                          , ,   -- #   55 unoil.jar
		"com.sun.star.awt.XDataTransferProviderAccess"                             , ,   -- #   56 unoil.jar
		"com.sun.star.awt.XDateField"                                              , ,   -- #   57 unoil.jar
		"com.sun.star.awt.XDevice"                                                 , ,   -- #   58 unoil.jar
		"com.sun.star.awt.XDialog"                                                 , ,   -- #   59 unoil.jar
		"com.sun.star.awt.XDialog2"                                                , ,   -- #   60 unoil.jar
		"com.sun.star.awt.XDialogEventHandler"                                     , ,   -- #   61 unoil.jar
		"com.sun.star.awt.XDialogProvider"                                         , ,   -- #   62 unoil.jar
		"com.sun.star.awt.XDialogProvider2"                                        , ,   -- #   63 unoil.jar
		"com.sun.star.awt.XDisplayBitmap"                                          , ,   -- #   64 unoil.jar
		"com.sun.star.awt.XDisplayConnection"                                      , ,   -- #   65 unoil.jar
		"com.sun.star.awt.XDockableWindow"                                         , ,   -- #   66 unoil.jar
		"com.sun.star.awt.XDockableWindowListener"                                 , ,   -- #   67 unoil.jar
		"com.sun.star.awt.XEnhancedMouseClickHandler"                              , ,   -- #   68 unoil.jar
		"com.sun.star.awt.XEventHandler"                                           , ,   -- #   69 unoil.jar
		"com.sun.star.awt.XExtendedToolkit"                                        , ,   -- #   70 unoil.jar
		"com.sun.star.awt.XFileDialog"                                             , ,   -- #   71 unoil.jar
		"com.sun.star.awt.XFixedHyperlink"                                         , ,   -- #   72 unoil.jar
		"com.sun.star.awt.XFixedText"                                              , ,   -- #   73 unoil.jar
		"com.sun.star.awt.XFocusListener"                                          , ,   -- #   74 unoil.jar
		"com.sun.star.awt.XFont"                                                   , ,   -- #   75 unoil.jar
		"com.sun.star.awt.XFont2"                                                  , ,   -- #   76 unoil.jar
		"com.sun.star.awt.XGraphics"                                               , ,   -- #   77 unoil.jar
		"com.sun.star.awt.XImageButton"                                            , ,   -- #   78 unoil.jar
		"com.sun.star.awt.XImageConsumer"                                          , ,   -- #   79 unoil.jar
		"com.sun.star.awt.XImageProducer"                                          , ,   -- #   80 unoil.jar
		"com.sun.star.awt.XInfoPrinter"                                            , ,   -- #   81 unoil.jar
		"com.sun.star.awt.XItemEventBroadcaster"                                   , ,   -- #   82 unoil.jar
		"com.sun.star.awt.XItemListener"                                           , ,   -- #   83 unoil.jar
		"com.sun.star.awt.XKeyHandler"                                             , ,   -- #   84 unoil.jar
		"com.sun.star.awt.XKeyListener"                                            , ,   -- #   85 unoil.jar
		"com.sun.star.awt.XLayoutConstrains"                                       , ,   -- #   86 unoil.jar
		"com.sun.star.awt.XLayoutContainer"                                        , ,   -- #   87 unoil.jar
		"com.sun.star.awt.XLayoutFlow"                                             , ,   -- #   88 unoil.jar
		"com.sun.star.awt.XLayoutRoot"                                             , ,   -- #   89 unoil.jar
		"com.sun.star.awt.XLayoutUnit"                                             , ,   -- #   90 unoil.jar
		"com.sun.star.awt.XListBox"                                                , ,   -- #   91 unoil.jar
		"com.sun.star.awt.XMenu"                                                   , ,   -- #   92 unoil.jar
		"com.sun.star.awt.XMenuBar"                                                , ,   -- #   93 unoil.jar
		"com.sun.star.awt.XMenuBarExtended"                                        , ,   -- #   94 unoil.jar
		"com.sun.star.awt.XMenuExtended"                                           , ,   -- #   95 unoil.jar
		"com.sun.star.awt.XMenuExtended2"                                          , ,   -- #   96 unoil.jar
		"com.sun.star.awt.XMenuListener"                                           , ,   -- #   97 unoil.jar
		"com.sun.star.awt.XMessageBox"                                             , ,   -- #   98 unoil.jar
		"com.sun.star.awt.XMessageBoxFactory"                                      , ,   -- #   99 unoil.jar
		"com.sun.star.awt.XMetricField"                                            , ,   -- #  100 unoil.jar
		"com.sun.star.awt.XMouseClickHandler"                                      , ,   -- #  101 unoil.jar
		"com.sun.star.awt.XMouseListener"                                          , ,   -- #  102 unoil.jar
		"com.sun.star.awt.XMouseMotionHandler"                                     , ,   -- #  103 unoil.jar
		"com.sun.star.awt.XMouseMotionListener"                                    , ,   -- #  104 unoil.jar
		"com.sun.star.awt.XNumericField"                                           , ,   -- #  105 unoil.jar
		"com.sun.star.awt.XPaintListener"                                          , ,   -- #  106 unoil.jar
		"com.sun.star.awt.XPatternField"                                           , ,   -- #  107 unoil.jar
		"com.sun.star.awt.XPointer"                                                , ,   -- #  108 unoil.jar
		"com.sun.star.awt.XPopupMenu"                                              , ,   -- #  109 unoil.jar
		"com.sun.star.awt.XPopupMenuExtended"                                      , ,   -- #  110 unoil.jar
		"com.sun.star.awt.XPrinter"                                                , ,   -- #  111 unoil.jar
		"com.sun.star.awt.XPrinterPropertySet"                                     , ,   -- #  112 unoil.jar
		"com.sun.star.awt.XPrinterServer"                                          , ,   -- #  113 unoil.jar
		"com.sun.star.awt.XProgressBar"                                            , ,   -- #  114 unoil.jar
		"com.sun.star.awt.XProgressMonitor"                                        , ,   -- #  115 unoil.jar
		"com.sun.star.awt.XRadioButton"                                            , ,   -- #  116 unoil.jar
		"com.sun.star.awt.XRegion"                                                 , ,   -- #  117 unoil.jar
		"com.sun.star.awt.XRequestCallback"                                        , ,   -- #  118 unoil.jar
		"com.sun.star.awt.XReschedule"                                             , ,   -- #  119 unoil.jar
		"com.sun.star.awt.XScrollBar"                                              , ,   -- #  120 unoil.jar
		"com.sun.star.awt.XSimpleAnimation"                                        , ,   -- #  121 unoil.jar
		"com.sun.star.awt.XSimpleTabController"                                    , ,   -- #  122 unoil.jar
		"com.sun.star.awt.XSpinField"                                              , ,   -- #  123 unoil.jar
		"com.sun.star.awt.XSpinListener"                                           , ,   -- #  124 unoil.jar
		"com.sun.star.awt.XSpinValue"                                              , ,   -- #  125 unoil.jar
		"com.sun.star.awt.XSystemChildFactory"                                     , ,   -- #  126 unoil.jar
		"com.sun.star.awt.XSystemDependentMenuPeer"                                , ,   -- #  127 unoil.jar
		"com.sun.star.awt.XSystemDependentWindowPeer"                              , ,   -- #  128 unoil.jar
		"com.sun.star.awt.XTabController"                                          , ,   -- #  129 unoil.jar
		"com.sun.star.awt.XTabControllerModel"                                     , ,   -- #  130 unoil.jar
		"com.sun.star.awt.XTabListener"                                            , ,   -- #  131 unoil.jar
		"com.sun.star.awt.XTextArea"                                               , ,   -- #  132 unoil.jar
		"com.sun.star.awt.XTextComponent"                                          , ,   -- #  133 unoil.jar
		"com.sun.star.awt.XTextEditField"                                          , ,   -- #  134 unoil.jar
		"com.sun.star.awt.XTextLayoutConstrains"                                   , ,   -- #  135 unoil.jar
		"com.sun.star.awt.XTextListener"                                           , ,   -- #  136 unoil.jar
		"com.sun.star.awt.XThrobber"                                               , ,   -- #  137 unoil.jar
		"com.sun.star.awt.XTimeField"                                              , ,   -- #  138 unoil.jar
		"com.sun.star.awt.XToggleButton"                                           , ,   -- #  139 unoil.jar
		"com.sun.star.awt.XToolkit"                                                , ,   -- #  140 unoil.jar
		"com.sun.star.awt.XTopWindow"                                              , ,   -- #  141 unoil.jar
		"com.sun.star.awt.XTopWindowListener"                                      , ,   -- #  142 unoil.jar
		"com.sun.star.awt.XUnitConversion"                                         , ,   -- #  143 unoil.jar
		"com.sun.star.awt.XUnoControlContainer"                                    , ,   -- #  144 unoil.jar
		"com.sun.star.awt.XUserInputInterception"                                  , ,   -- #  145 unoil.jar
		"com.sun.star.awt.XVclContainer"                                           , ,   -- #  146 unoil.jar
		"com.sun.star.awt.XVclContainerListener"                                   , ,   -- #  147 unoil.jar
		"com.sun.star.awt.XVclContainerPeer"                                       , ,   -- #  148 unoil.jar
		"com.sun.star.awt.XVclWindowPeer"                                          , ,   -- #  149 unoil.jar
		"com.sun.star.awt.XView"                                                   , ,   -- #  150 unoil.jar
		"com.sun.star.awt.XWindow"                                                 , ,   -- #  151 unoil.jar
		"com.sun.star.awt.XWindow2"                                                , ,   -- #  152 unoil.jar
		"com.sun.star.awt.XWindowListener"                                         , ,   -- #  153 unoil.jar
		"com.sun.star.awt.XWindowListener2"                                        , ,   -- #  154 unoil.jar
		"com.sun.star.awt.XWindowPeer"                                             , ,   -- #  155 unoil.jar
		"com.sun.star.awt.grid.XGridCell"                                          , ,   -- #  156 unoil.jar
		"com.sun.star.awt.grid.XGridCellRenderer"                                  , ,   -- #  157 unoil.jar
		"com.sun.star.awt.grid.XGridColumn"                                        , ,   -- #  158 unoil.jar
		"com.sun.star.awt.grid.XGridColumnListener"                                , ,   -- #  159 unoil.jar
		"com.sun.star.awt.grid.XGridColumnModel"                                   , ,   -- #  160 unoil.jar
		"com.sun.star.awt.grid.XGridControl"                                       , ,   -- #  161 unoil.jar
		"com.sun.star.awt.grid.XGridControlListener"                               , ,   -- #  162 unoil.jar
		"com.sun.star.awt.grid.XGridDataListener"                                  , ,   -- #  163 unoil.jar
		"com.sun.star.awt.grid.XGridDataModel"                                     , ,   -- #  164 unoil.jar
		"com.sun.star.awt.grid.XGridSelection"                                     , ,   -- #  165 unoil.jar
		"com.sun.star.awt.grid.XGridSelectionListener"                             , ,   -- #  166 unoil.jar
		"com.sun.star.awt.tree.XMutableTreeDataModel"                              , ,   -- #  167 unoil.jar
		"com.sun.star.awt.tree.XMutableTreeNode"                                   , ,   -- #  168 unoil.jar
		"com.sun.star.awt.tree.XTreeControl"                                       , ,   -- #  169 unoil.jar
		"com.sun.star.awt.tree.XTreeDataModel"                                     , ,   -- #  170 unoil.jar
		"com.sun.star.awt.tree.XTreeDataModelListener"                             , ,   -- #  171 unoil.jar
		"com.sun.star.awt.tree.XTreeEditListener"                                  , ,   -- #  172 unoil.jar
		"com.sun.star.awt.tree.XTreeExpansionListener"                             , ,   -- #  173 unoil.jar
		"com.sun.star.awt.tree.XTreeNode"                                          , ,   -- #  174 unoil.jar
		"com.sun.star.beans.XExactName"                                            , ,   -- #  175 ridl.jar
		"com.sun.star.beans.XFastPropertySet"                                      , ,   -- #  176 ridl.jar
		"com.sun.star.beans.XFastPropertyState"                                    , ,   -- #  177 unoil.jar
		"com.sun.star.beans.XHierarchicalPropertySet"                              , ,   -- #  178 ridl.jar
		"com.sun.star.beans.XHierarchicalPropertySetInfo"                          , ,   -- #  179 ridl.jar
		"com.sun.star.beans.XIntroTest"                                            , ,   -- #  180 ridl.jar
		"com.sun.star.beans.XIntrospection"                                        , ,   -- #  181 ridl.jar
		"com.sun.star.beans.XIntrospectionAccess"                                  , ,   -- #  182 ridl.jar
		"com.sun.star.beans.XMaterialHolder"                                       , ,   -- #  183 ridl.jar
		"com.sun.star.beans.XMultiHierarchicalPropertySet"                         , ,   -- #  184 ridl.jar
		"com.sun.star.beans.XMultiPropertySet"                                     , ,   -- #  185 ridl.jar
		"com.sun.star.beans.XMultiPropertyStates"                                  , ,   -- #  186 ridl.jar
		"com.sun.star.beans.XPropertiesChangeListener"                             , ,   -- #  187 ridl.jar
		"com.sun.star.beans.XPropertiesChangeNotifier"                             , ,   -- #  188 ridl.jar
		"com.sun.star.beans.XProperty"                                             , ,   -- #  189 ridl.jar
		"com.sun.star.beans.XPropertyAccess"                                       , ,   -- #  190 ridl.jar
		"com.sun.star.beans.XPropertyChangeListener"                               , ,   -- #  191 ridl.jar
		"com.sun.star.beans.XPropertyContainer"                                    , ,   -- #  192 ridl.jar
		"com.sun.star.beans.XPropertySet"                                          , ,   -- #  193 ridl.jar
		"com.sun.star.beans.XPropertySetInfo"                                      , ,   -- #  194 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeListener"                        , ,   -- #  195 ridl.jar
		"com.sun.star.beans.XPropertySetInfoChangeNotifier"                        , ,   -- #  196 ridl.jar
		"com.sun.star.beans.XPropertyState"                                        , ,   -- #  197 ridl.jar
		"com.sun.star.beans.XPropertyStateChangeListener"                          , ,   -- #  198 ridl.jar
		"com.sun.star.beans.XPropertyWithState"                                    , ,   -- #  199 ridl.jar
		"com.sun.star.beans.XTolerantMultiPropertySet"                             , ,   -- #  200 ridl.jar
		"com.sun.star.beans.XVetoableChangeListener"                               , ,   -- #  201 ridl.jar
		"com.sun.star.bridge.XBridge"                                              , ,   -- #  202 ridl.jar
		"com.sun.star.bridge.XBridgeFactory"                                       , ,   -- #  203 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier"                                      , ,   -- #  204 ridl.jar
		"com.sun.star.bridge.XBridgeSupplier2"                                     , ,   -- #  205 ridl.jar
		"com.sun.star.bridge.XInstanceProvider"                                    , ,   -- #  206 ridl.jar
		"com.sun.star.bridge.XProtocolProperties"                                  , ,   -- #  207 ridl.jar
		"com.sun.star.bridge.XUnoUrlResolver"                                      , ,   -- #  208 ridl.jar
		"com.sun.star.bridge.oleautomation.XAutomationObject"                      , ,   -- #  209 ridl.jar
		"com.sun.star.chart.X3DDefaultSetter"                                      , ,   -- #  210 unoil.jar
		"com.sun.star.chart.X3DDisplay"                                            , ,   -- #  211 unoil.jar
		"com.sun.star.chart.XAxisXSupplier"                                        , ,   -- #  212 unoil.jar
		"com.sun.star.chart.XAxisYSupplier"                                        , ,   -- #  213 unoil.jar
		"com.sun.star.chart.XAxisZSupplier"                                        , ,   -- #  214 unoil.jar
		"com.sun.star.chart.XChartData"                                            , ,   -- #  215 unoil.jar
		"com.sun.star.chart.XChartDataArray"                                       , ,   -- #  216 unoil.jar
		"com.sun.star.chart.XChartDataChangeEventListener"                         , ,   -- #  217 unoil.jar
		"com.sun.star.chart.XChartDocument"                                        , ,   -- #  218 unoil.jar
		"com.sun.star.chart.XDiagram"                                              , ,   -- #  219 unoil.jar
		"com.sun.star.chart.XSecondAxisTitleSupplier"                              , ,   -- #  220 unoil.jar
		"com.sun.star.chart.XStatisticDisplay"                                     , ,   -- #  221 unoil.jar
		"com.sun.star.chart.XTwoAxisXSupplier"                                     , ,   -- #  222 unoil.jar
		"com.sun.star.chart.XTwoAxisYSupplier"                                     , ,   -- #  223 unoil.jar
		"com.sun.star.chart2.XAxis"                                                , ,   -- #  224 unoil.jar
/* ---> [com.sun.star.chart2.XChartDocument]: class name [XChartDocument] in use already! (com.sun.star.chart.XChartDocument) */ - 
		"com.sun.star.chart2.XChartDocument"                                       , ,   -- #  225 unoil.jar
		"com.sun.star.chart2.XChartShape"                                          , ,   -- #  226 unoil.jar
		"com.sun.star.chart2.XChartShapeContainer"                                 , ,   -- #  227 unoil.jar
		"com.sun.star.chart2.XChartType"                                           , ,   -- #  228 unoil.jar
		"com.sun.star.chart2.XChartTypeContainer"                                  , ,   -- #  229 unoil.jar
		"com.sun.star.chart2.XChartTypeManager"                                    , ,   -- #  230 unoil.jar
		"com.sun.star.chart2.XChartTypeTemplate"                                   , ,   -- #  231 unoil.jar
		"com.sun.star.chart2.XColorScheme"                                         , ,   -- #  232 unoil.jar
		"com.sun.star.chart2.XCoordinateSystem"                                    , ,   -- #  233 unoil.jar
		"com.sun.star.chart2.XCoordinateSystemContainer"                           , ,   -- #  234 unoil.jar
		"com.sun.star.chart2.XDataInterpreter"                                     , ,   -- #  235 unoil.jar
		"com.sun.star.chart2.XDataSeries"                                          , ,   -- #  236 unoil.jar
		"com.sun.star.chart2.XDataSeriesContainer"                                 , ,   -- #  237 unoil.jar
		"com.sun.star.chart2.XDefaultSizeTransmitter"                              , ,   -- #  238 unoil.jar
/* ---> [com.sun.star.chart2.XDiagram]: class name [XDiagram] in use already! (com.sun.star.chart.XDiagram) */ - 
		"com.sun.star.chart2.XDiagram"                                             , ,   -- #  239 unoil.jar
		"com.sun.star.chart2.XDiagramProvider"                                     , ,   -- #  240 unoil.jar
		"com.sun.star.chart2.XFormattedString"                                     , ,   -- #  241 unoil.jar
		"com.sun.star.chart2.XInternalDataProvider"                                , ,   -- #  242 unoil.jar
		"com.sun.star.chart2.XLabeled"                                             , ,   -- #  243 unoil.jar
		"com.sun.star.chart2.XLegend"                                              , ,   -- #  244 unoil.jar
		"com.sun.star.chart2.XLegendEntry"                                         , ,   -- #  245 unoil.jar
		"com.sun.star.chart2.XLegendSymbolProvider"                                , ,   -- #  246 unoil.jar
		"com.sun.star.chart2.XPlotter"                                             , ,   -- #  247 unoil.jar
		"com.sun.star.chart2.XRegressionCurve"                                     , ,   -- #  248 unoil.jar
		"com.sun.star.chart2.XRegressionCurveCalculator"                           , ,   -- #  249 unoil.jar
		"com.sun.star.chart2.XRegressionCurveContainer"                            , ,   -- #  250 unoil.jar
		"com.sun.star.chart2.XScaling"                                             , ,   -- #  251 unoil.jar
		"com.sun.star.chart2.XTarget"                                              , ,   -- #  252 unoil.jar
		"com.sun.star.chart2.XTitle"                                               , ,   -- #  253 unoil.jar
		"com.sun.star.chart2.XTitled"                                              , ,   -- #  254 unoil.jar
		"com.sun.star.chart2.XTransformation"                                      , ,   -- #  255 unoil.jar
		"com.sun.star.chart2.XUndoHelper"                                          , ,   -- #  256 unoil.jar
		"com.sun.star.chart2.XUndoManager"                                         , ,   -- #  257 unoil.jar
		"com.sun.star.chart2.XUndoSupplier"                                        , ,   -- #  258 unoil.jar
		"com.sun.star.chart2.data.XDataProvider"                                   , ,   -- #  259 unoil.jar
		"com.sun.star.chart2.data.XDataReceiver"                                   , ,   -- #  260 unoil.jar
		"com.sun.star.chart2.data.XDataSequence"                                   , ,   -- #  261 unoil.jar
		"com.sun.star.chart2.data.XDataSink"                                       , ,   -- #  262 unoil.jar
		"com.sun.star.chart2.data.XDataSource"                                     , ,   -- #  263 unoil.jar
		"com.sun.star.chart2.data.XDatabaseDataProvider"                           , ,   -- #  264 unoil.jar
		"com.sun.star.chart2.data.XLabeledDataSequence"                            , ,   -- #  265 unoil.jar
		"com.sun.star.chart2.data.XNumericalDataSequence"                          , ,   -- #  266 unoil.jar
		"com.sun.star.chart2.data.XRangeHighlighter"                               , ,   -- #  267 unoil.jar
		"com.sun.star.chart2.data.XRangeXMLConversion"                             , ,   -- #  268 unoil.jar
		"com.sun.star.chart2.data.XTextualDataSequence"                            , ,   -- #  269 unoil.jar
		"com.sun.star.configuration.XTemplateContainer"                            , ,   -- #  270 unoil.jar
		"com.sun.star.configuration.XTemplateInstance"                             , ,   -- #  271 unoil.jar
		"com.sun.star.configuration.backend.XBackend"                              , ,   -- #  272 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesListener"               , ,   -- #  273 unoil.jar
		"com.sun.star.configuration.backend.XBackendChangesNotifier"               , ,   -- #  274 unoil.jar
		"com.sun.star.configuration.backend.XBackendEntities"                      , ,   -- #  275 unoil.jar
		"com.sun.star.configuration.backend.XCompositeLayer"                       , ,   -- #  276 unoil.jar
		"com.sun.star.configuration.backend.XLayer"                                , ,   -- #  277 unoil.jar
		"com.sun.star.configuration.backend.XLayerContentDescriber"                , ,   -- #  278 unoil.jar
		"com.sun.star.configuration.backend.XLayerHandler"                         , ,   -- #  279 unoil.jar
		"com.sun.star.configuration.backend.XLayerImporter"                        , ,   -- #  280 unoil.jar
		"com.sun.star.configuration.backend.XMultiLayerStratum"                    , ,   -- #  281 unoil.jar
		"com.sun.star.configuration.backend.XSchema"                               , ,   -- #  282 unoil.jar
		"com.sun.star.configuration.backend.XSchemaHandler"                        , ,   -- #  283 unoil.jar
		"com.sun.star.configuration.backend.XSchemaSupplier"                       , ,   -- #  284 unoil.jar
		"com.sun.star.configuration.backend.XSingleLayerStratum"                   , ,   -- #  285 unoil.jar
		"com.sun.star.configuration.backend.XUpdatableLayer"                       , ,   -- #  286 unoil.jar
		"com.sun.star.configuration.backend.XUpdateHandler"                        , ,   -- #  287 unoil.jar
		"com.sun.star.configuration.backend.XVersionedSchemaSupplier"              , ,   -- #  288 unoil.jar
		"com.sun.star.connection.XAcceptor"                                        , ,   -- #  289 ridl.jar
		"com.sun.star.connection.XConnection"                                      , ,   -- #  290 ridl.jar
		"com.sun.star.connection.XConnection2"                                     , ,   -- #  291 ridl.jar
		"com.sun.star.connection.XConnectionBroadcaster"                           , ,   -- #  292 ridl.jar
		"com.sun.star.connection.XConnector"                                       , ,   -- #  293 ridl.jar
		"com.sun.star.container.XChild"                                            , ,   -- #  294 ridl.jar
		"com.sun.star.container.XComponentEnumeration"                             , ,   -- #  295 ridl.jar
		"com.sun.star.container.XComponentEnumerationAccess"                       , ,   -- #  296 ridl.jar
		"com.sun.star.container.XContainer"                                        , ,   -- #  297 ridl.jar
		"com.sun.star.container.XContainerApproveBroadcaster"                      , ,   -- #  298 ridl.jar
		"com.sun.star.container.XContainerApproveListener"                         , ,   -- #  299 ridl.jar
		"com.sun.star.container.XContainerListener"                                , ,   -- #  300 ridl.jar
		"com.sun.star.container.XContainerQuery"                                   , ,   -- #  301 ridl.jar
		"com.sun.star.container.XContentEnumerationAccess"                         , ,   -- #  302 ridl.jar
		"com.sun.star.container.XElementAccess"                                    , ,   -- #  303 ridl.jar
		"com.sun.star.container.XEnumerableMap"                                    , ,   -- #  304 ridl.jar
		"com.sun.star.container.XEnumeration"                                      , ,   -- #  305 ridl.jar
		"com.sun.star.container.XEnumerationAccess"                                , ,   -- #  306 ridl.jar
		"com.sun.star.container.XHierarchicalName"                                 , ,   -- #  307 ridl.jar
		"com.sun.star.container.XHierarchicalNameAccess"                           , ,   -- #  308 ridl.jar
		"com.sun.star.container.XHierarchicalNameContainer"                        , ,   -- #  309 ridl.jar
		"com.sun.star.container.XHierarchicalNameReplace"                          , ,   -- #  310 ridl.jar
		"com.sun.star.container.XIdentifierAccess"                                 , ,   -- #  311 ridl.jar
		"com.sun.star.container.XIdentifierContainer"                              , ,   -- #  312 ridl.jar
		"com.sun.star.container.XIdentifierReplace"                                , ,   -- #  313 ridl.jar
		"com.sun.star.container.XImplicitIDAccess"                                 , ,   -- #  314 ridl.jar
		"com.sun.star.container.XImplicitIDContainer"                              , ,   -- #  315 ridl.jar
		"com.sun.star.container.XImplicitIDReplace"                                , ,   -- #  316 ridl.jar
		"com.sun.star.container.XIndexAccess"                                      , ,   -- #  317 ridl.jar
		"com.sun.star.container.XIndexContainer"                                   , ,   -- #  318 ridl.jar
		"com.sun.star.container.XIndexReplace"                                     , ,   -- #  319 ridl.jar
		"com.sun.star.container.XMap"                                              , ,   -- #  320 ridl.jar
		"com.sun.star.container.XNameAccess"                                       , ,   -- #  321 ridl.jar
		"com.sun.star.container.XNameContainer"                                    , ,   -- #  322 ridl.jar
		"com.sun.star.container.XNameReplace"                                      , ,   -- #  323 ridl.jar
		"com.sun.star.container.XNamed"                                            , ,   -- #  324 ridl.jar
		"com.sun.star.container.XSet"                                              , ,   -- #  325 ridl.jar
		"com.sun.star.container.XStringKeyMap"                                     , ,   -- #  326 ridl.jar
		"com.sun.star.container.XUniqueIDAccess"                                   , ,   -- #  327 ridl.jar
		"com.sun.star.datatransfer.XDataFormatTranslator"                          , ,   -- #  328 unoil.jar
		"com.sun.star.datatransfer.XMimeContentType"                               , ,   -- #  329 unoil.jar
		"com.sun.star.datatransfer.XMimeContentTypeFactory"                        , ,   -- #  330 unoil.jar
		"com.sun.star.datatransfer.XSystemTransferable"                            , ,   -- #  331 unoil.jar
		"com.sun.star.datatransfer.XTransferDataAccess"                            , ,   -- #  332 unoil.jar
		"com.sun.star.datatransfer.XTransferable"                                  , ,   -- #  333 unoil.jar
		"com.sun.star.datatransfer.XTransferableEx"                                , ,   -- #  334 unoil.jar
		"com.sun.star.datatransfer.XTransferableSource"                            , ,   -- #  335 unoil.jar
		"com.sun.star.datatransfer.XTransferableSupplier"                          , ,   -- #  336 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboard"                           , ,   -- #  337 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardEx"                         , ,   -- #  338 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardFactory"                    , ,   -- #  339 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardListener"                   , ,   -- #  340 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardManager"                    , ,   -- #  341 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardNotifier"                   , ,   -- #  342 unoil.jar
		"com.sun.star.datatransfer.clipboard.XClipboardOwner"                      , ,   -- #  343 unoil.jar
		"com.sun.star.datatransfer.clipboard.XFlushableClipboard"                  , ,   -- #  344 unoil.jar
		"com.sun.star.datatransfer.dnd.XAutoscroll"                                , ,   -- #  345 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureListener"                       , ,   -- #  346 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragGestureRecognizer"                     , ,   -- #  347 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSource"                                , ,   -- #  348 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceContext"                         , ,   -- #  349 unoil.jar
		"com.sun.star.datatransfer.dnd.XDragSourceListener"                        , ,   -- #  350 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTarget"                                , ,   -- #  351 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDragContext"                     , ,   -- #  352 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetDropContext"                     , ,   -- #  353 unoil.jar
		"com.sun.star.datatransfer.dnd.XDropTargetListener"                        , ,   -- #  354 unoil.jar
		"com.sun.star.deployment.XPackage"                                         , ,   -- #  355 unoil.jar
		"com.sun.star.deployment.XPackageInformationProvider"                      , ,   -- #  356 unoil.jar
		"com.sun.star.deployment.XPackageManager"                                  , ,   -- #  357 unoil.jar
		"com.sun.star.deployment.XPackageManagerFactory"                           , ,   -- #  358 unoil.jar
		"com.sun.star.deployment.XPackageRegistry"                                 , ,   -- #  359 unoil.jar
		"com.sun.star.deployment.XPackageTypeInfo"                                 , ,   -- #  360 unoil.jar
		"com.sun.star.deployment.XUpdateInformationProvider"                       , ,   -- #  361 unoil.jar
		"com.sun.star.document.XActionLockable"                                    , ,   -- #  362 unoil.jar
		"com.sun.star.document.XBinaryStreamResolver"                              , ,   -- #  363 unoil.jar
		"com.sun.star.document.XDocumentEventBroadcaster"                          , ,   -- #  364 unoil.jar
		"com.sun.star.document.XDocumentEventListener"                             , ,   -- #  365 unoil.jar
		"com.sun.star.document.XDocumentInfo"                                      , ,   -- #  366 unoil.jar
		"com.sun.star.document.XDocumentInfoSupplier"                              , ,   -- #  367 unoil.jar
		"com.sun.star.document.XDocumentInsertable"                                , ,   -- #  368 unoil.jar
		"com.sun.star.document.XDocumentLanguages"                                 , ,   -- #  369 unoil.jar
		"com.sun.star.document.XDocumentProperties"                                , ,   -- #  370 unoil.jar
		"com.sun.star.document.XDocumentPropertiesSupplier"                        , ,   -- #  371 unoil.jar
		"com.sun.star.document.XDocumentRevisionListPersistence"                   , ,   -- #  372 unoil.jar
		"com.sun.star.document.XDocumentSubStorageSupplier"                        , ,   -- #  373 unoil.jar
		"com.sun.star.document.XEmbeddedObjectResolver"                            , ,   -- #  374 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier"                            , ,   -- #  375 unoil.jar
		"com.sun.star.document.XEmbeddedObjectSupplier2"                           , ,   -- #  376 unoil.jar
		"com.sun.star.document.XEmbeddedScripts"                                   , ,   -- #  377 unoil.jar
		"com.sun.star.document.XEventBroadcaster"                                  , ,   -- #  378 unoil.jar
		"com.sun.star.document.XEventListener"                                     , ,   -- #  379 unoil.jar
		"com.sun.star.document.XEventsSupplier"                                    , ,   -- #  380 unoil.jar
		"com.sun.star.document.XExporter"                                          , ,   -- #  381 unoil.jar
		"com.sun.star.document.XExtendedFilterDetection"                           , ,   -- #  382 unoil.jar
		"com.sun.star.document.XFilter"                                            , ,   -- #  383 unoil.jar
		"com.sun.star.document.XFilterAdapter"                                     , ,   -- #  384 unoil.jar
		"com.sun.star.document.XGraphicObjectResolver"                             , ,   -- #  385 unoil.jar
		"com.sun.star.document.XImporter"                                          , ,   -- #  386 unoil.jar
		"com.sun.star.document.XInteractionFilterOptions"                          , ,   -- #  387 unoil.jar
		"com.sun.star.document.XInteractionFilterSelect"                           , ,   -- #  388 unoil.jar
		"com.sun.star.document.XLinkTargetSupplier"                                , ,   -- #  389 unoil.jar
		"com.sun.star.document.XMimeTypeInfo"                                      , ,   -- #  390 unoil.jar
		"com.sun.star.document.XOOXMLDocumentPropertiesImporter"                   , ,   -- #  391 unoil.jar
		"com.sun.star.document.XRedlinesSupplier"                                  , ,   -- #  392 unoil.jar
		"com.sun.star.document.XScriptInvocationContext"                           , ,   -- #  393 unoil.jar
		"com.sun.star.document.XStandaloneDocumentInfo"                            , ,   -- #  394 unoil.jar
		"com.sun.star.document.XStorageBasedDocument"                              , ,   -- #  395 unoil.jar
		"com.sun.star.document.XStorageChangeListener"                             , ,   -- #  396 unoil.jar
		"com.sun.star.document.XTypeDetection"                                     , ,   -- #  397 unoil.jar
		"com.sun.star.document.XViewDataSupplier"                                  , ,   -- #  398 unoil.jar
		"com.sun.star.drawing.XConnectableShape"                                   , ,   -- #  399 unoil.jar
		"com.sun.star.drawing.XConnectorShape"                                     , ,   -- #  400 unoil.jar
		"com.sun.star.drawing.XControlShape"                                       , ,   -- #  401 unoil.jar
		"com.sun.star.drawing.XCustomShapeEngine"                                  , ,   -- #  402 unoil.jar
		"com.sun.star.drawing.XCustomShapeHandle"                                  , ,   -- #  403 unoil.jar
		"com.sun.star.drawing.XDrawPage"                                           , ,   -- #  404 unoil.jar
		"com.sun.star.drawing.XDrawPageDuplicator"                                 , ,   -- #  405 unoil.jar
		"com.sun.star.drawing.XDrawPageExpander"                                   , ,   -- #  406 unoil.jar
		"com.sun.star.drawing.XDrawPageSummarizer"                                 , ,   -- #  407 unoil.jar
		"com.sun.star.drawing.XDrawPageSupplier"                                   , ,   -- #  408 unoil.jar
		"com.sun.star.drawing.XDrawPages"                                          , ,   -- #  409 unoil.jar
		"com.sun.star.drawing.XDrawPagesSupplier"                                  , ,   -- #  410 unoil.jar
		"com.sun.star.drawing.XDrawSubController"                                  , ,   -- #  411 unoil.jar
		"com.sun.star.drawing.XDrawView"                                           , ,   -- #  412 unoil.jar
		"com.sun.star.drawing.XEnhancedCustomShapeDefaulter"                       , ,   -- #  413 unoil.jar
		"com.sun.star.drawing.XGluePointsSupplier"                                 , ,   -- #  414 unoil.jar
/* ---> [com.sun.star.drawing.XLayer]: class name [XLayer] in use already! (com.sun.star.configuration.backend.XLayer) */ - 
		"com.sun.star.drawing.XLayer"                                              , ,   -- #  415 unoil.jar
		"com.sun.star.drawing.XLayerManager"                                       , ,   -- #  416 unoil.jar
		"com.sun.star.drawing.XLayerSupplier"                                      , ,   -- #  417 unoil.jar
		"com.sun.star.drawing.XMasterPageTarget"                                   , ,   -- #  418 unoil.jar
		"com.sun.star.drawing.XMasterPagesSupplier"                                , ,   -- #  419 unoil.jar
		"com.sun.star.drawing.XPresenterHelper"                                    , ,   -- #  420 unoil.jar
		"com.sun.star.drawing.XSelectionFunction"                                  , ,   -- #  421 unoil.jar
		"com.sun.star.drawing.XShape"                                              , ,   -- #  422 unoil.jar
		"com.sun.star.drawing.XShapeAligner"                                       , ,   -- #  423 unoil.jar
		"com.sun.star.drawing.XShapeArranger"                                      , ,   -- #  424 unoil.jar
		"com.sun.star.drawing.XShapeBinder"                                        , ,   -- #  425 unoil.jar
		"com.sun.star.drawing.XShapeCombiner"                                      , ,   -- #  426 unoil.jar
		"com.sun.star.drawing.XShapeDescriptor"                                    , ,   -- #  427 unoil.jar
		"com.sun.star.drawing.XShapeGroup"                                         , ,   -- #  428 unoil.jar
		"com.sun.star.drawing.XShapeGrouper"                                       , ,   -- #  429 unoil.jar
		"com.sun.star.drawing.XShapeMirror"                                        , ,   -- #  430 unoil.jar
		"com.sun.star.drawing.XShapes"                                             , ,   -- #  431 unoil.jar
		"com.sun.star.drawing.XSlidePreviewCache"                                  , ,   -- #  432 unoil.jar
		"com.sun.star.drawing.XSlidePreviewCacheListener"                          , ,   -- #  433 unoil.jar
		"com.sun.star.drawing.XSlideRenderer"                                      , ,   -- #  434 unoil.jar
		"com.sun.star.drawing.XSlideSorterBase"                                    , ,   -- #  435 unoil.jar
		"com.sun.star.drawing.XUniversalShapeDescriptor"                           , ,   -- #  436 unoil.jar
		"com.sun.star.drawing.framework.XConfiguration"                            , ,   -- #  437 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationChangeListener"              , ,   -- #  438 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationChangeRequest"               , ,   -- #  439 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationController"                  , ,   -- #  440 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationControllerBroadcaster"       , ,   -- #  441 unoil.jar
		"com.sun.star.drawing.framework.XConfigurationControllerRequestQueue"      , ,   -- #  442 unoil.jar
		"com.sun.star.drawing.framework.XControllerManager"                        , ,   -- #  443 unoil.jar
		"com.sun.star.drawing.framework.XModuleController"                         , ,   -- #  444 unoil.jar
		"com.sun.star.drawing.framework.XPane"                                     , ,   -- #  445 unoil.jar
		"com.sun.star.drawing.framework.XPane2"                                    , ,   -- #  446 unoil.jar
		"com.sun.star.drawing.framework.XPaneBorderPainter"                        , ,   -- #  447 unoil.jar
		"com.sun.star.drawing.framework.XRelocatableResource"                      , ,   -- #  448 unoil.jar
		"com.sun.star.drawing.framework.XResource"                                 , ,   -- #  449 unoil.jar
		"com.sun.star.drawing.framework.XResourceFactory"                          , ,   -- #  450 unoil.jar
		"com.sun.star.drawing.framework.XResourceFactoryManager"                   , ,   -- #  451 unoil.jar
		"com.sun.star.drawing.framework.XResourceId"                               , ,   -- #  452 unoil.jar
		"com.sun.star.drawing.framework.XTabBar"                                   , ,   -- #  453 unoil.jar
		"com.sun.star.drawing.framework.XToolBar"                                  , ,   -- #  454 unoil.jar
/* ---> [com.sun.star.drawing.framework.XView]: class name [XView] in use already! (com.sun.star.awt.XView) */ - 
		"com.sun.star.drawing.framework.XView"                                     , ,   -- #  455 unoil.jar
		"com.sun.star.embed.XActionsApproval"                                      , ,   -- #  456 unoil.jar
		"com.sun.star.embed.XClassifiedObject"                                     , ,   -- #  457 unoil.jar
		"com.sun.star.embed.XCommonEmbedPersist"                                   , ,   -- #  458 unoil.jar
		"com.sun.star.embed.XComponentSupplier"                                    , ,   -- #  459 unoil.jar
		"com.sun.star.embed.XEmbedObjectClipboardCreator"                          , ,   -- #  460 unoil.jar
		"com.sun.star.embed.XEmbedObjectCreator"                                   , ,   -- #  461 unoil.jar
		"com.sun.star.embed.XEmbedObjectFactory"                                   , ,   -- #  462 unoil.jar
		"com.sun.star.embed.XEmbedPersist"                                         , ,   -- #  463 unoil.jar
		"com.sun.star.embed.XEmbeddedClient"                                       , ,   -- #  464 unoil.jar
		"com.sun.star.embed.XEmbeddedObject"                                       , ,   -- #  465 unoil.jar
		"com.sun.star.embed.XEncryptionProtectedSource"                            , ,   -- #  466 unoil.jar
		"com.sun.star.embed.XExtendedStorageStream"                                , ,   -- #  467 unoil.jar
		"com.sun.star.embed.XHatchWindow"                                          , ,   -- #  468 unoil.jar
		"com.sun.star.embed.XHatchWindowController"                                , ,   -- #  469 unoil.jar
		"com.sun.star.embed.XHatchWindowFactory"                                   , ,   -- #  470 unoil.jar
		"com.sun.star.embed.XHierarchicalStorageAccess"                            , ,   -- #  471 unoil.jar
		"com.sun.star.embed.XInplaceClient"                                        , ,   -- #  472 unoil.jar
		"com.sun.star.embed.XInplaceObject"                                        , ,   -- #  473 unoil.jar
		"com.sun.star.embed.XInsertObjectDialog"                                   , ,   -- #  474 unoil.jar
		"com.sun.star.embed.XLinkCreator"                                          , ,   -- #  475 unoil.jar
		"com.sun.star.embed.XLinkFactory"                                          , ,   -- #  476 unoil.jar
		"com.sun.star.embed.XLinkageSupport"                                       , ,   -- #  477 unoil.jar
		"com.sun.star.embed.XOLESimpleStorage"                                     , ,   -- #  478 unoil.jar
		"com.sun.star.embed.XOptimizedStorage"                                     , ,   -- #  479 unoil.jar
		"com.sun.star.embed.XPackageStructureCreator"                              , ,   -- #  480 unoil.jar
		"com.sun.star.embed.XPersistanceHolder"                                    , ,   -- #  481 unoil.jar
		"com.sun.star.embed.XRelationshipAccess"                                   , ,   -- #  482 unoil.jar
		"com.sun.star.embed.XStateChangeBroadcaster"                               , ,   -- #  483 unoil.jar
		"com.sun.star.embed.XStateChangeListener"                                  , ,   -- #  484 unoil.jar
		"com.sun.star.embed.XStorage"                                              , ,   -- #  485 unoil.jar
		"com.sun.star.embed.XStorageRawAccess"                                     , ,   -- #  486 unoil.jar
		"com.sun.star.embed.XTransactedObject"                                     , ,   -- #  487 unoil.jar
		"com.sun.star.embed.XTransactionBroadcaster"                               , ,   -- #  488 unoil.jar
		"com.sun.star.embed.XTransactionListener"                                  , ,   -- #  489 unoil.jar
/* ---> [com.sun.star.embed.XTransferableSupplier]: class name [XTransferableSupplier] in use already! (com.sun.star.datatransfer.XTransferableSupplier) */ - 
		"com.sun.star.embed.XTransferableSupplier"                                 , ,   -- #  490 unoil.jar
		"com.sun.star.embed.XVisualObject"                                         , ,   -- #  491 unoil.jar
		"com.sun.star.embed.XWindowSupplier"                                       , ,   -- #  492 unoil.jar
		"com.sun.star.form.XApproveActionBroadcaster"                              , ,   -- #  493 unoil.jar
		"com.sun.star.form.XApproveActionListener"                                 , ,   -- #  494 unoil.jar
		"com.sun.star.form.XBoundComponent"                                        , ,   -- #  495 unoil.jar
		"com.sun.star.form.XBoundControl"                                          , ,   -- #  496 unoil.jar
		"com.sun.star.form.XChangeBroadcaster"                                     , ,   -- #  497 unoil.jar
		"com.sun.star.form.XChangeListener"                                        , ,   -- #  498 unoil.jar
		"com.sun.star.form.XConfirmDeleteBroadcaster"                              , ,   -- #  499 unoil.jar
		"com.sun.star.form.XConfirmDeleteListener"                                 , ,   -- #  500 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster"                          , ,   -- #  501 unoil.jar
		"com.sun.star.form.XDatabaseParameterBroadcaster2"                         , ,   -- #  502 unoil.jar
		"com.sun.star.form.XDatabaseParameterListener"                             , ,   -- #  503 unoil.jar
		"com.sun.star.form.XDeleteListener"                                        , ,   -- #  504 unoil.jar
		"com.sun.star.form.XErrorBroadcaster"                                      , ,   -- #  505 unoil.jar
		"com.sun.star.form.XErrorListener"                                         , ,   -- #  506 unoil.jar
		"com.sun.star.form.XForm"                                                  , ,   -- #  507 unoil.jar
		"com.sun.star.form.XFormComponent"                                         , ,   -- #  508 unoil.jar
		"com.sun.star.form.XFormController"                                        , ,   -- #  509 unoil.jar
		"com.sun.star.form.XFormControllerListener"                                , ,   -- #  510 unoil.jar
		"com.sun.star.form.XFormsSupplier"                                         , ,   -- #  511 unoil.jar
		"com.sun.star.form.XFormsSupplier2"                                        , ,   -- #  512 unoil.jar
		"com.sun.star.form.XGrid"                                                  , ,   -- #  513 unoil.jar
		"com.sun.star.form.XGridColumnFactory"                                     , ,   -- #  514 unoil.jar
/* ---> [com.sun.star.form.XGridControl]: class name [XGridControl] in use already! (com.sun.star.awt.grid.XGridControl) */ - 
		"com.sun.star.form.XGridControl"                                           , ,   -- #  515 unoil.jar
/* ---> [com.sun.star.form.XGridControlListener]: class name [XGridControlListener] in use already! (com.sun.star.awt.grid.XGridControlListener) */ - 
		"com.sun.star.form.XGridControlListener"                                   , ,   -- #  516 unoil.jar
		"com.sun.star.form.XGridFieldDataSupplier"                                 , ,   -- #  517 unoil.jar
		"com.sun.star.form.XGridPeer"                                              , ,   -- #  518 unoil.jar
		"com.sun.star.form.XImageProducerSupplier"                                 , ,   -- #  519 unoil.jar
		"com.sun.star.form.XInsertListener"                                        , ,   -- #  520 unoil.jar
		"com.sun.star.form.XLoadListener"                                          , ,   -- #  521 unoil.jar
		"com.sun.star.form.XLoadable"                                              , ,   -- #  522 unoil.jar
		"com.sun.star.form.XPositioningListener"                                   , ,   -- #  523 unoil.jar
		"com.sun.star.form.XReset"                                                 , ,   -- #  524 unoil.jar
		"com.sun.star.form.XResetListener"                                         , ,   -- #  525 unoil.jar
		"com.sun.star.form.XRestoreListener"                                       , ,   -- #  526 unoil.jar
		"com.sun.star.form.XSubmit"                                                , ,   -- #  527 unoil.jar
		"com.sun.star.form.XSubmitListener"                                        , ,   -- #  528 unoil.jar
		"com.sun.star.form.XUpdateBroadcaster"                                     , ,   -- #  529 unoil.jar
		"com.sun.star.form.XUpdateListener"                                        , ,   -- #  530 unoil.jar
		"com.sun.star.form.binding.XBindableValue"                                 , ,   -- #  531 unoil.jar
		"com.sun.star.form.binding.XListEntryListener"                             , ,   -- #  532 unoil.jar
		"com.sun.star.form.binding.XListEntrySink"                                 , ,   -- #  533 unoil.jar
		"com.sun.star.form.binding.XListEntrySource"                               , ,   -- #  534 unoil.jar
		"com.sun.star.form.binding.XValueBinding"                                  , ,   -- #  535 unoil.jar
		"com.sun.star.form.runtime.XFeatureInvalidation"                           , ,   -- #  536 unoil.jar
		"com.sun.star.form.runtime.XFormOperations"                                , ,   -- #  537 unoil.jar
		"com.sun.star.form.submission.XSubmission"                                 , ,   -- #  538 unoil.jar
		"com.sun.star.form.submission.XSubmissionSupplier"                         , ,   -- #  539 unoil.jar
		"com.sun.star.form.submission.XSubmissionVetoListener"                     , ,   -- #  540 unoil.jar
		"com.sun.star.form.validation.XFormComponentValidityListener"              , ,   -- #  541 unoil.jar
		"com.sun.star.form.validation.XValidatable"                                , ,   -- #  542 unoil.jar
		"com.sun.star.form.validation.XValidatableFormComponent"                   , ,   -- #  543 unoil.jar
		"com.sun.star.form.validation.XValidator"                                  , ,   -- #  544 unoil.jar
		"com.sun.star.form.validation.XValidityConstraintListener"                 , ,   -- #  545 unoil.jar
		"com.sun.star.frame.XBorderResizeListener"                                 , ,   -- #  546 unoil.jar
		"com.sun.star.frame.XBrowseHistoryRegistry"                                , ,   -- #  547 unoil.jar
		"com.sun.star.frame.XComponentLoader"                                      , ,   -- #  548 unoil.jar
		"com.sun.star.frame.XComponentRegistry"                                    , ,   -- #  549 unoil.jar
		"com.sun.star.frame.XConfigManager"                                        , ,   -- #  550 unoil.jar
		"com.sun.star.frame.XControlNotificationListener"                          , ,   -- #  551 unoil.jar
		"com.sun.star.frame.XController"                                           , ,   -- #  552 unoil.jar
		"com.sun.star.frame.XController2"                                          , ,   -- #  553 unoil.jar
		"com.sun.star.frame.XControllerBorder"                                     , ,   -- #  554 unoil.jar
		"com.sun.star.frame.XDesktop"                                              , ,   -- #  555 unoil.jar
		"com.sun.star.frame.XDesktopTask"                                          , ,   -- #  556 unoil.jar
		"com.sun.star.frame.XDispatch"                                             , ,   -- #  557 unoil.jar
		"com.sun.star.frame.XDispatchHelper"                                       , ,   -- #  558 unoil.jar
		"com.sun.star.frame.XDispatchInformationProvider"                          , ,   -- #  559 unoil.jar
		"com.sun.star.frame.XDispatchProvider"                                     , ,   -- #  560 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterception"                         , ,   -- #  561 unoil.jar
		"com.sun.star.frame.XDispatchProviderInterceptor"                          , ,   -- #  562 unoil.jar
		"com.sun.star.frame.XDispatchRecorder"                                     , ,   -- #  563 unoil.jar
		"com.sun.star.frame.XDispatchRecorderSupplier"                             , ,   -- #  564 unoil.jar
		"com.sun.star.frame.XDispatchResultListener"                               , ,   -- #  565 unoil.jar
		"com.sun.star.frame.XDocumentTemplates"                                    , ,   -- #  566 unoil.jar
/* ---> [com.sun.star.frame.XExtendedFilterDetection]: class name [XExtendedFilterDetection] in use already! (com.sun.star.document.XExtendedFilterDetection) */ - 
		"com.sun.star.frame.XExtendedFilterDetection"                              , ,   -- #  567 unoil.jar
		"com.sun.star.frame.XFilterDetect"                                         , ,   -- #  568 unoil.jar
		"com.sun.star.frame.XFrame"                                                , ,   -- #  569 unoil.jar
		"com.sun.star.frame.XFrameActionListener"                                  , ,   -- #  570 unoil.jar
		"com.sun.star.frame.XFrameLoader"                                          , ,   -- #  571 unoil.jar
		"com.sun.star.frame.XFrameLoaderQuery"                                     , ,   -- #  572 unoil.jar
		"com.sun.star.frame.XFrameSetModel"                                        , ,   -- #  573 unoil.jar
		"com.sun.star.frame.XFrames"                                               , ,   -- #  574 unoil.jar
		"com.sun.star.frame.XFramesSupplier"                                       , ,   -- #  575 unoil.jar
		"com.sun.star.frame.XInplaceLayout"                                        , ,   -- #  576 unoil.jar
		"com.sun.star.frame.XInterceptorInfo"                                      , ,   -- #  577 unoil.jar
		"com.sun.star.frame.XLayoutManager"                                        , ,   -- #  578 unoil.jar
		"com.sun.star.frame.XLayoutManagerEventBroadcaster"                        , ,   -- #  579 unoil.jar
		"com.sun.star.frame.XLayoutManagerListener"                                , ,   -- #  580 unoil.jar
		"com.sun.star.frame.XLoadEventListener"                                    , ,   -- #  581 unoil.jar
/* ---> [com.sun.star.frame.XLoadable]: class name [XLoadable] in use already! (com.sun.star.form.XLoadable) */ - 
		"com.sun.star.frame.XLoadable"                                             , ,   -- #  582 unoil.jar
		"com.sun.star.frame.XMenuBarAcceptor"                                      , ,   -- #  583 unoil.jar
		"com.sun.star.frame.XMenuBarMergingAcceptor"                               , ,   -- #  584 unoil.jar
		"com.sun.star.frame.XModel"                                                , ,   -- #  585 unoil.jar
		"com.sun.star.frame.XModel2"                                               , ,   -- #  586 unoil.jar
		"com.sun.star.frame.XModule"                                               , ,   -- #  587 unoil.jar
		"com.sun.star.frame.XModuleManager"                                        , ,   -- #  588 unoil.jar
		"com.sun.star.frame.XNotifyingDispatch"                                    , ,   -- #  589 unoil.jar
		"com.sun.star.frame.XPopupMenuController"                                  , ,   -- #  590 unoil.jar
		"com.sun.star.frame.XRecordableDispatch"                                   , ,   -- #  591 unoil.jar
		"com.sun.star.frame.XSessionManagerClient"                                 , ,   -- #  592 unoil.jar
		"com.sun.star.frame.XSessionManagerListener"                               , ,   -- #  593 unoil.jar
		"com.sun.star.frame.XSessionManagerListener2"                              , ,   -- #  594 unoil.jar
		"com.sun.star.frame.XStatusListener"                                       , ,   -- #  595 unoil.jar
		"com.sun.star.frame.XStatusbarController"                                  , ,   -- #  596 unoil.jar
		"com.sun.star.frame.XStorable"                                             , ,   -- #  597 unoil.jar
		"com.sun.star.frame.XStorable2"                                            , ,   -- #  598 unoil.jar
		"com.sun.star.frame.XSubToolbarController"                                 , ,   -- #  599 unoil.jar
		"com.sun.star.frame.XSynchronousDispatch"                                  , ,   -- #  600 unoil.jar
		"com.sun.star.frame.XSynchronousFrameLoader"                               , ,   -- #  601 unoil.jar
		"com.sun.star.frame.XTask"                                                 , ,   -- #  602 unoil.jar
		"com.sun.star.frame.XTasksSupplier"                                        , ,   -- #  603 unoil.jar
		"com.sun.star.frame.XTerminateListener"                                    , ,   -- #  604 unoil.jar
		"com.sun.star.frame.XTerminateListener2"                                   , ,   -- #  605 unoil.jar
/* ---> [com.sun.star.frame.XTitle]: class name [XTitle] in use already! (com.sun.star.chart2.XTitle) */ - 
		"com.sun.star.frame.XTitle"                                                , ,   -- #  606 unoil.jar
		"com.sun.star.frame.XTitleChangeBroadcaster"                               , ,   -- #  607 unoil.jar
		"com.sun.star.frame.XTitleChangeListener"                                  , ,   -- #  608 unoil.jar
		"com.sun.star.frame.XToolbarController"                                    , ,   -- #  609 unoil.jar
		"com.sun.star.frame.XTransientDocumentsDocumentContentFactory"             , ,   -- #  610 unoil.jar
		"com.sun.star.frame.XUIControllerRegistration"                             , ,   -- #  611 unoil.jar
		"com.sun.star.frame.XUntitledNumbers"                                      , ,   -- #  612 unoil.jar
		"com.sun.star.frame.XUrlList"                                              , ,   -- #  613 unoil.jar
		"com.sun.star.frame.XWindowArranger"                                       , ,   -- #  614 unoil.jar
		"com.sun.star.gallery.XGalleryItem"                                        , ,   -- #  615 unoil.jar
		"com.sun.star.gallery.XGalleryTheme"                                       , ,   -- #  616 unoil.jar
		"com.sun.star.gallery.XGalleryThemeProvider"                               , ,   -- #  617 unoil.jar
		"com.sun.star.geometry.XMapping2D"                                         , ,   -- #  618 unoil.jar
		"com.sun.star.graphic.XGraphic"                                            , ,   -- #  619 unoil.jar
		"com.sun.star.graphic.XGraphicObject"                                      , ,   -- #  620 unoil.jar
		"com.sun.star.graphic.XGraphicProvider"                                    , ,   -- #  621 unoil.jar
		"com.sun.star.graphic.XGraphicRenderer"                                    , ,   -- #  622 unoil.jar
		"com.sun.star.graphic.XGraphicTransformer"                                 , ,   -- #  623 unoil.jar
		"com.sun.star.graphic.XPrimitive2D"                                        , ,   -- #  624 unoil.jar
		"com.sun.star.graphic.XPrimitive3D"                                        , ,   -- #  625 unoil.jar
		"com.sun.star.graphic.XPrimitiveFactory2D"                                 , ,   -- #  626 unoil.jar
		"com.sun.star.i18n.XBreakIterator"                                         , ,   -- #  627 unoil.jar
		"com.sun.star.i18n.XCalendar"                                              , ,   -- #  628 unoil.jar
		"com.sun.star.i18n.XCharacterClassification"                               , ,   -- #  629 unoil.jar
		"com.sun.star.i18n.XCollator"                                              , ,   -- #  630 unoil.jar
		"com.sun.star.i18n.XExtendedCalendar"                                      , ,   -- #  631 unoil.jar
		"com.sun.star.i18n.XExtendedIndexEntrySupplier"                            , ,   -- #  632 unoil.jar
		"com.sun.star.i18n.XExtendedInputSequenceChecker"                          , ,   -- #  633 unoil.jar
		"com.sun.star.i18n.XExtendedTextConversion"                                , ,   -- #  634 unoil.jar
		"com.sun.star.i18n.XExtendedTransliteration"                               , ,   -- #  635 unoil.jar
		"com.sun.star.i18n.XForbiddenCharacters"                                   , ,   -- #  636 unoil.jar
		"com.sun.star.i18n.XIndexEntrySupplier"                                    , ,   -- #  637 unoil.jar
		"com.sun.star.i18n.XInputSequenceChecker"                                  , ,   -- #  638 unoil.jar
		"com.sun.star.i18n.XLocaleData"                                            , ,   -- #  639 unoil.jar
		"com.sun.star.i18n.XLocaleData2"                                           , ,   -- #  640 unoil.jar
		"com.sun.star.i18n.XNativeNumberSupplier"                                  , ,   -- #  641 unoil.jar
		"com.sun.star.i18n.XNumberFormatCode"                                      , ,   -- #  642 unoil.jar
		"com.sun.star.i18n.XOrdinalSuffix"                                         , ,   -- #  643 unoil.jar
		"com.sun.star.i18n.XScriptTypeDetector"                                    , ,   -- #  644 unoil.jar
		"com.sun.star.i18n.XTextConversion"                                        , ,   -- #  645 unoil.jar
		"com.sun.star.i18n.XTransliteration"                                       , ,   -- #  646 unoil.jar
		"com.sun.star.inspection.XHyperlinkControl"                                , ,   -- #  647 unoil.jar
		"com.sun.star.inspection.XNumericControl"                                  , ,   -- #  648 unoil.jar
		"com.sun.star.inspection.XObjectInspector"                                 , ,   -- #  649 unoil.jar
		"com.sun.star.inspection.XObjectInspectorModel"                            , ,   -- #  650 unoil.jar
		"com.sun.star.inspection.XObjectInspectorUI"                               , ,   -- #  651 unoil.jar
		"com.sun.star.inspection.XPropertyControl"                                 , ,   -- #  652 unoil.jar
		"com.sun.star.inspection.XPropertyControlContext"                          , ,   -- #  653 unoil.jar
		"com.sun.star.inspection.XPropertyControlFactory"                          , ,   -- #  654 unoil.jar
		"com.sun.star.inspection.XPropertyControlObserver"                         , ,   -- #  655 unoil.jar
		"com.sun.star.inspection.XPropertyHandler"                                 , ,   -- #  656 unoil.jar
		"com.sun.star.inspection.XStringListControl"                               , ,   -- #  657 unoil.jar
		"com.sun.star.inspection.XStringRepresentation"                            , ,   -- #  658 unoil.jar
		"com.sun.star.installation.XInstallationCheck"                             , ,   -- #  659 unoil.jar
		"com.sun.star.installation.XProtocolHandlerCheck"                          , ,   -- #  660 unoil.jar
		"com.sun.star.io.XActiveDataControl"                                       , ,   -- #  661 ridl.jar
		"com.sun.star.io.XActiveDataSink"                                          , ,   -- #  662 ridl.jar
		"com.sun.star.io.XActiveDataSource"                                        , ,   -- #  663 ridl.jar
		"com.sun.star.io.XActiveDataStreamer"                                      , ,   -- #  664 ridl.jar
		"com.sun.star.io.XAsyncOutputMonitor"                                      , ,   -- #  665 ridl.jar
		"com.sun.star.io.XConnectable"                                             , ,   -- #  666 ridl.jar
		"com.sun.star.io.XDataExporter"                                            , ,   -- #  667 ridl.jar
		"com.sun.star.io.XDataImporter"                                            , ,   -- #  668 ridl.jar
		"com.sun.star.io.XDataInputStream"                                         , ,   -- #  669 ridl.jar
		"com.sun.star.io.XDataOutputStream"                                        , ,   -- #  670 ridl.jar
		"com.sun.star.io.XDataTransferEventListener"                               , ,   -- #  671 ridl.jar
		"com.sun.star.io.XInputStream"                                             , ,   -- #  672 ridl.jar
		"com.sun.star.io.XInputStreamProvider"                                     , ,   -- #  673 ridl.jar
		"com.sun.star.io.XMarkableStream"                                          , ,   -- #  674 ridl.jar
		"com.sun.star.io.XObjectInputStream"                                       , ,   -- #  675 ridl.jar
		"com.sun.star.io.XObjectOutputStream"                                      , ,   -- #  676 ridl.jar
		"com.sun.star.io.XOutputStream"                                            , ,   -- #  677 ridl.jar
		"com.sun.star.io.XPersist"                                                 , ,   -- #  678 ridl.jar
		"com.sun.star.io.XPersistObject"                                           , ,   -- #  679 ridl.jar
		"com.sun.star.io.XSeekable"                                                , ,   -- #  680 ridl.jar
		"com.sun.star.io.XSeekableInputStream"                                     , ,   -- #  681 ridl.jar
		"com.sun.star.io.XSequenceOutputStream"                                    , ,   -- #  682 ridl.jar
		"com.sun.star.io.XStream"                                                  , ,   -- #  683 ridl.jar
		"com.sun.star.io.XStreamListener"                                          , ,   -- #  684 ridl.jar
		"com.sun.star.io.XTempFile"                                                , ,   -- #  685 ridl.jar
		"com.sun.star.io.XTextInputStream"                                         , ,   -- #  686 ridl.jar
		"com.sun.star.io.XTextOutputStream"                                        , ,   -- #  687 ridl.jar
		"com.sun.star.io.XTruncate"                                                , ,   -- #  688 ridl.jar
		"com.sun.star.io.XXMLExtractor"                                            , ,   -- #  689 ridl.jar
		"com.sun.star.java.XJavaThreadRegister_11"                                 , ,   -- #  690 ridl.jar
		"com.sun.star.java.XJavaVM"                                                , ,   -- #  691 ridl.jar
		"com.sun.star.lang.XComponent"                                             , ,   -- #  692 ridl.jar
		"com.sun.star.lang.XConnectionPoint"                                       , ,   -- #  693 ridl.jar
		"com.sun.star.lang.XConnectionPointContainer"                              , ,   -- #  694 ridl.jar
/* ---> [com.sun.star.lang.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ - 
		"com.sun.star.lang.XEventListener"                                         , ,   -- #  695 ridl.jar
		"com.sun.star.lang.XInitialization"                                        , ,   -- #  696 ridl.jar
		"com.sun.star.lang.XLocalizable"                                           , ,   -- #  697 ridl.jar
		"com.sun.star.lang.XMain"                                                  , ,   -- #  698 ridl.jar
		"com.sun.star.lang.XMultiComponentFactory"                                 , ,   -- #  699 ridl.jar
		"com.sun.star.lang.XMultiServiceFactory"                                   , ,   -- #  700 ridl.jar
		"com.sun.star.lang.XServiceDisplayName"                                    , ,   -- #  701 ridl.jar
		"com.sun.star.lang.XServiceInfo"                                           , ,   -- #  702 ridl.jar
		"com.sun.star.lang.XServiceName"                                           , ,   -- #  703 ridl.jar
		"com.sun.star.lang.XSingleComponentFactory"                                , ,   -- #  704 ridl.jar
		"com.sun.star.lang.XSingleServiceFactory"                                  , ,   -- #  705 ridl.jar
		"com.sun.star.lang.XTypeProvider"                                          , ,   -- #  706 ridl.jar
		"com.sun.star.lang.XUnoTunnel"                                             , ,   -- #  707 ridl.jar
		"com.sun.star.lib.uno.adapter.XInputStreamToInputStreamAdapter"            , ,   -- #  708 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToByteArrayAdapter"             , ,   -- #  709 juh.jar
		"com.sun.star.lib.uno.adapter.XOutputStreamToOutputStreamAdapter"          , ,   -- #  710 juh.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionInputStream_Adapter"  , ,   -- #  711 jurt.jar
		"com.sun.star.lib.uno.bridges.java_remote.XConnectionOutputStream_Adapter" , ,   -- #  712 jurt.jar
		"com.sun.star.linguistic2.XAvailableLocales"                               , ,   -- #  713 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionary"                           , ,   -- #  714 unoil.jar
		"com.sun.star.linguistic2.XConversionDictionaryList"                       , ,   -- #  715 unoil.jar
		"com.sun.star.linguistic2.XConversionPropertyType"                         , ,   -- #  716 unoil.jar
		"com.sun.star.linguistic2.XDictionary"                                     , ,   -- #  717 unoil.jar
		"com.sun.star.linguistic2.XDictionary1"                                    , ,   -- #  718 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEntry"                                , ,   -- #  719 unoil.jar
		"com.sun.star.linguistic2.XDictionaryEventListener"                        , ,   -- #  720 unoil.jar
		"com.sun.star.linguistic2.XDictionaryList"                                 , ,   -- #  721 unoil.jar
		"com.sun.star.linguistic2.XDictionaryListEventListener"                    , ,   -- #  722 unoil.jar
		"com.sun.star.linguistic2.XHyphenatedWord"                                 , ,   -- #  723 unoil.jar
		"com.sun.star.linguistic2.XHyphenator"                                     , ,   -- #  724 unoil.jar
		"com.sun.star.linguistic2.XLanguageGuessing"                               , ,   -- #  725 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventBroadcaster"                   , ,   -- #  726 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceEventListener"                      , ,   -- #  727 unoil.jar
		"com.sun.star.linguistic2.XLinguServiceManager"                            , ,   -- #  728 unoil.jar
		"com.sun.star.linguistic2.XMeaning"                                        , ,   -- #  729 unoil.jar
		"com.sun.star.linguistic2.XPossibleHyphens"                                , ,   -- #  730 unoil.jar
		"com.sun.star.linguistic2.XProofreader"                                    , ,   -- #  731 unoil.jar
		"com.sun.star.linguistic2.XProofreadingIterator"                           , ,   -- #  732 unoil.jar
		"com.sun.star.linguistic2.XSearchableDictionary"                           , ,   -- #  733 unoil.jar
		"com.sun.star.linguistic2.XSearchableDictionaryList"                       , ,   -- #  734 unoil.jar
		"com.sun.star.linguistic2.XSetSpellAlternatives"                           , ,   -- #  735 unoil.jar
		"com.sun.star.linguistic2.XSpellAlternatives"                              , ,   -- #  736 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker"                                   , ,   -- #  737 unoil.jar
		"com.sun.star.linguistic2.XSpellChecker1"                                  , ,   -- #  738 unoil.jar
		"com.sun.star.linguistic2.XSupportedLanguages"                             , ,   -- #  739 unoil.jar
		"com.sun.star.linguistic2.XSupportedLocales"                               , ,   -- #  740 unoil.jar
		"com.sun.star.linguistic2.XThesaurus"                                      , ,   -- #  741 unoil.jar
		"com.sun.star.loader.XImplementationLoader"                                , ,   -- #  742 ridl.jar
		"com.sun.star.logging.XConsoleHandler"                                     , ,   -- #  743 unoil.jar
		"com.sun.star.logging.XCsvLogFormatter"                                    , ,   -- #  744 unoil.jar
		"com.sun.star.logging.XLogFormatter"                                       , ,   -- #  745 unoil.jar
		"com.sun.star.logging.XLogHandler"                                         , ,   -- #  746 unoil.jar
		"com.sun.star.logging.XLogger"                                             , ,   -- #  747 unoil.jar
		"com.sun.star.logging.XLoggerPool"                                         , ,   -- #  748 unoil.jar
		"com.sun.star.logging.XSimpleLogRing"                                      , ,   -- #  749 unoil.jar
		"com.sun.star.mail.XAuthenticator"                                         , ,   -- #  750 unoil.jar
		"com.sun.star.mail.XConnectionListener"                                    , ,   -- #  751 unoil.jar
		"com.sun.star.mail.XMailMessage"                                           , ,   -- #  752 unoil.jar
		"com.sun.star.mail.XMailService"                                           , ,   -- #  753 unoil.jar
		"com.sun.star.mail.XMailServiceProvider"                                   , ,   -- #  754 unoil.jar
		"com.sun.star.mail.XSmtpService"                                           , ,   -- #  755 unoil.jar
		"com.sun.star.media.XFrameGrabber"                                         , ,   -- #  756 unoil.jar
		"com.sun.star.media.XManager"                                              , ,   -- #  757 unoil.jar
		"com.sun.star.media.XPlayer"                                               , ,   -- #  758 unoil.jar
		"com.sun.star.media.XPlayerWindow"                                         , ,   -- #  759 unoil.jar
		"com.sun.star.mozilla.XCloseSessionListener"                               , ,   -- #  760 unoil.jar
		"com.sun.star.mozilla.XCodeProxy"                                          , ,   -- #  761 unoil.jar
		"com.sun.star.mozilla.XMenuProxy"                                          , ,   -- #  762 unoil.jar
		"com.sun.star.mozilla.XMenuProxyListener"                                  , ,   -- #  763 unoil.jar
		"com.sun.star.mozilla.XMozillaBootstrap"                                   , ,   -- #  764 unoil.jar
		"com.sun.star.mozilla.XPluginInstance"                                     , ,   -- #  765 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceNotifySink"                           , ,   -- #  766 unoil.jar
		"com.sun.star.mozilla.XPluginInstancePeer"                                 , ,   -- #  767 unoil.jar
		"com.sun.star.mozilla.XPluginInstanceSyncPeer"                             , ,   -- #  768 unoil.jar
		"com.sun.star.mozilla.XPluginWindowPeer"                                   , ,   -- #  769 unoil.jar
		"com.sun.star.mozilla.XProfileDiscover"                                    , ,   -- #  770 unoil.jar
		"com.sun.star.mozilla.XProfileManager"                                     , ,   -- #  771 unoil.jar
		"com.sun.star.mozilla.XProxyRunner"                                        , ,   -- #  772 unoil.jar
		"com.sun.star.mozilla.XRemoteServiceManagerProvider"                       , ,   -- #  773 unoil.jar
		"com.sun.star.office.XAnnotation"                                          , ,   -- #  774 unoil.jar
		"com.sun.star.office.XAnnotationAccess"                                    , ,   -- #  775 unoil.jar
		"com.sun.star.office.XAnnotationEnumeration"                               , ,   -- #  776 unoil.jar
		"com.sun.star.oooimprovement.XCore"                                        , ,   -- #  777 unoil.jar
		"com.sun.star.oooimprovement.XCoreController"                              , ,   -- #  778 unoil.jar
		"com.sun.star.packages.XDataSinkEncrSupport"                               , ,   -- #  779 unoil.jar
		"com.sun.star.packages.manifest.XManifestReader"                           , ,   -- #  780 unoil.jar
		"com.sun.star.packages.manifest.XManifestWriter"                           , ,   -- #  781 unoil.jar
		"com.sun.star.packages.zip.XZipFileAccess"                                 , ,   -- #  782 unoil.jar
		"com.sun.star.plugin.XPlugin"                                              , ,   -- #  783 unoil.jar
		"com.sun.star.plugin.XPluginContext"                                       , ,   -- #  784 unoil.jar
		"com.sun.star.plugin.XPluginManager"                                       , ,   -- #  785 unoil.jar
		"com.sun.star.presentation.XCustomPresentationSupplier"                    , ,   -- #  786 unoil.jar
		"com.sun.star.presentation.XHandoutMasterSupplier"                         , ,   -- #  787 unoil.jar
		"com.sun.star.presentation.XPresentation"                                  , ,   -- #  788 unoil.jar
		"com.sun.star.presentation.XPresentation2"                                 , ,   -- #  789 unoil.jar
		"com.sun.star.presentation.XPresentationPage"                              , ,   -- #  790 unoil.jar
		"com.sun.star.presentation.XPresentationSupplier"                          , ,   -- #  791 unoil.jar
		"com.sun.star.presentation.XShapeEventListener"                            , ,   -- #  792 unoil.jar
		"com.sun.star.presentation.XSlideShow"                                     , ,   -- #  793 unoil.jar
		"com.sun.star.presentation.XSlideShowController"                           , ,   -- #  794 unoil.jar
		"com.sun.star.presentation.XSlideShowListener"                             , ,   -- #  795 unoil.jar
		"com.sun.star.presentation.XSlideShowView"                                 , ,   -- #  796 unoil.jar
		"com.sun.star.presentation.XTransition"                                    , ,   -- #  797 unoil.jar
		"com.sun.star.presentation.XTransitionFactory"                             , ,   -- #  798 unoil.jar
		"com.sun.star.rdf.XBlankNode"                                              , ,   -- #  799 unoil.jar
		"com.sun.star.rdf.XDocumentMetadataAccess"                                 , ,   -- #  800 unoil.jar
		"com.sun.star.rdf.XDocumentRepository"                                     , ,   -- #  801 unoil.jar
		"com.sun.star.rdf.XLiteral"                                                , ,   -- #  802 unoil.jar
		"com.sun.star.rdf.XMetadatable"                                            , ,   -- #  803 unoil.jar
		"com.sun.star.rdf.XNamedGraph"                                             , ,   -- #  804 unoil.jar
		"com.sun.star.rdf.XNode"                                                   , ,   -- #  805 unoil.jar
		"com.sun.star.rdf.XQuerySelectResult"                                      , ,   -- #  806 unoil.jar
		"com.sun.star.rdf.XReifiedStatement"                                       , ,   -- #  807 unoil.jar
		"com.sun.star.rdf.XRepository"                                             , ,   -- #  808 unoil.jar
		"com.sun.star.rdf.XRepositorySupplier"                                     , ,   -- #  809 unoil.jar
/* ---> [com.sun.star.rdf.XResource]: class name [XResource] in use already! (com.sun.star.drawing.framework.XResource) */ - 
		"com.sun.star.rdf.XResource"                                               , ,   -- #  810 unoil.jar
		"com.sun.star.rdf.XURI"                                                    , ,   -- #  811 unoil.jar
		"com.sun.star.reflection.XArrayTypeDescription"                            , ,   -- #  812 ridl.jar
		"com.sun.star.reflection.XCompoundTypeDescription"                         , ,   -- #  813 ridl.jar
		"com.sun.star.reflection.XConstantTypeDescription"                         , ,   -- #  814 ridl.jar
		"com.sun.star.reflection.XConstantsTypeDescription"                        , ,   -- #  815 ridl.jar
		"com.sun.star.reflection.XEnumTypeDescription"                             , ,   -- #  816 ridl.jar
		"com.sun.star.reflection.XIdlArray"                                        , ,   -- #  817 ridl.jar
		"com.sun.star.reflection.XIdlClass"                                        , ,   -- #  818 ridl.jar
		"com.sun.star.reflection.XIdlClassProvider"                                , ,   -- #  819 ridl.jar
		"com.sun.star.reflection.XIdlField"                                        , ,   -- #  820 ridl.jar
		"com.sun.star.reflection.XIdlField2"                                       , ,   -- #  821 ridl.jar
		"com.sun.star.reflection.XIdlMember"                                       , ,   -- #  822 ridl.jar
		"com.sun.star.reflection.XIdlMethod"                                       , ,   -- #  823 ridl.jar
		"com.sun.star.reflection.XIdlReflection"                                   , ,   -- #  824 ridl.jar
		"com.sun.star.reflection.XIndirectTypeDescription"                         , ,   -- #  825 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription"               , ,   -- #  826 ridl.jar
		"com.sun.star.reflection.XInterfaceAttributeTypeDescription2"              , ,   -- #  827 ridl.jar
		"com.sun.star.reflection.XInterfaceMemberTypeDescription"                  , ,   -- #  828 ridl.jar
		"com.sun.star.reflection.XInterfaceMethodTypeDescription"                  , ,   -- #  829 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription"                        , ,   -- #  830 ridl.jar
		"com.sun.star.reflection.XInterfaceTypeDescription2"                       , ,   -- #  831 ridl.jar
		"com.sun.star.reflection.XMethodParameter"                                 , ,   -- #  832 ridl.jar
		"com.sun.star.reflection.XModuleTypeDescription"                           , ,   -- #  833 ridl.jar
		"com.sun.star.reflection.XParameter"                                       , ,   -- #  834 ridl.jar
		"com.sun.star.reflection.XPropertyTypeDescription"                         , ,   -- #  835 ridl.jar
		"com.sun.star.reflection.XProxyFactory"                                    , ,   -- #  836 ridl.jar
		"com.sun.star.reflection.XPublished"                                       , ,   -- #  837 ridl.jar
		"com.sun.star.reflection.XServiceConstructorDescription"                   , ,   -- #  838 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription"                          , ,   -- #  839 ridl.jar
		"com.sun.star.reflection.XServiceTypeDescription2"                         , ,   -- #  840 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription"                        , ,   -- #  841 ridl.jar
		"com.sun.star.reflection.XSingletonTypeDescription2"                       , ,   -- #  842 ridl.jar
		"com.sun.star.reflection.XStructTypeDescription"                           , ,   -- #  843 ridl.jar
		"com.sun.star.reflection.XTypeDescription"                                 , ,   -- #  844 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumeration"                      , ,   -- #  845 ridl.jar
		"com.sun.star.reflection.XTypeDescriptionEnumerationAccess"                , ,   -- #  846 ridl.jar
		"com.sun.star.reflection.XUnionTypeDescription"                            , ,   -- #  847 ridl.jar
		"com.sun.star.registry.XImplementationRegistration"                        , ,   -- #  848 ridl.jar
		"com.sun.star.registry.XImplementationRegistration2"                       , ,   -- #  849 ridl.jar
		"com.sun.star.registry.XRegistryKey"                                       , ,   -- #  850 ridl.jar
		"com.sun.star.registry.XSimpleRegistry"                                    , ,   -- #  851 ridl.jar
		"com.sun.star.rendering.XAnimatedSprite"                                   , ,   -- #  852 unoil.jar
		"com.sun.star.rendering.XAnimation"                                        , ,   -- #  853 unoil.jar
		"com.sun.star.rendering.XBezierPolyPolygon2D"                              , ,   -- #  854 unoil.jar
/* ---> [com.sun.star.rendering.XBitmap]: class name [XBitmap] in use already! (com.sun.star.awt.XBitmap) */ - 
		"com.sun.star.rendering.XBitmap"                                           , ,   -- #  855 unoil.jar
		"com.sun.star.rendering.XBitmapCanvas"                                     , ,   -- #  856 unoil.jar
		"com.sun.star.rendering.XBitmapPalette"                                    , ,   -- #  857 unoil.jar
		"com.sun.star.rendering.XBufferController"                                 , ,   -- #  858 unoil.jar
		"com.sun.star.rendering.XCachedPrimitive"                                  , ,   -- #  859 unoil.jar
		"com.sun.star.rendering.XCanvas"                                           , ,   -- #  860 unoil.jar
		"com.sun.star.rendering.XCanvasFont"                                       , ,   -- #  861 unoil.jar
		"com.sun.star.rendering.XColorSpace"                                       , ,   -- #  862 unoil.jar
		"com.sun.star.rendering.XCustomSprite"                                     , ,   -- #  863 unoil.jar
		"com.sun.star.rendering.XGraphicDevice"                                    , ,   -- #  864 unoil.jar
		"com.sun.star.rendering.XHalfFloatBitmap"                                  , ,   -- #  865 unoil.jar
		"com.sun.star.rendering.XHalfFloatReadOnlyBitmap"                          , ,   -- #  866 unoil.jar
		"com.sun.star.rendering.XIeeeDoubleBitmap"                                 , ,   -- #  867 unoil.jar
		"com.sun.star.rendering.XIeeeDoubleReadOnlyBitmap"                         , ,   -- #  868 unoil.jar
		"com.sun.star.rendering.XIeeeFloatBitmap"                                  , ,   -- #  869 unoil.jar
		"com.sun.star.rendering.XIeeeFloatReadOnlyBitmap"                          , ,   -- #  870 unoil.jar
		"com.sun.star.rendering.XIntegerBitmap"                                    , ,   -- #  871 unoil.jar
		"com.sun.star.rendering.XIntegerBitmapColorSpace"                          , ,   -- #  872 unoil.jar
		"com.sun.star.rendering.XIntegerReadOnlyBitmap"                            , ,   -- #  873 unoil.jar
		"com.sun.star.rendering.XLinePolyPolygon2D"                                , ,   -- #  874 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2D"                          , ,   -- #  875 unoil.jar
		"com.sun.star.rendering.XParametricPolyPolygon2DFactory"                   , ,   -- #  876 unoil.jar
		"com.sun.star.rendering.XPolyPolygon2D"                                    , ,   -- #  877 unoil.jar
		"com.sun.star.rendering.XSimpleCanvas"                                     , ,   -- #  878 unoil.jar
		"com.sun.star.rendering.XSprite"                                           , ,   -- #  879 unoil.jar
		"com.sun.star.rendering.XSpriteCanvas"                                     , ,   -- #  880 unoil.jar
		"com.sun.star.rendering.XTextLayout"                                       , ,   -- #  881 unoil.jar
		"com.sun.star.rendering.XVolatileBitmap"                                   , ,   -- #  882 unoil.jar
		"com.sun.star.report.XFixedLine"                                           , ,   -- #  883 unoil.jar
/* ---> [com.sun.star.report.XFixedText]: class name [XFixedText] in use already! (com.sun.star.awt.XFixedText) */ - 
		"com.sun.star.report.XFixedText"                                           , ,   -- #  884 unoil.jar
		"com.sun.star.report.XFormatCondition"                                     , ,   -- #  885 unoil.jar
		"com.sun.star.report.XFormattedField"                                      , ,   -- #  886 unoil.jar
		"com.sun.star.report.XFunction"                                            , ,   -- #  887 unoil.jar
		"com.sun.star.report.XFunctions"                                           , ,   -- #  888 unoil.jar
		"com.sun.star.report.XFunctionsSupplier"                                   , ,   -- #  889 unoil.jar
		"com.sun.star.report.XGroup"                                               , ,   -- #  890 unoil.jar
		"com.sun.star.report.XGroups"                                              , ,   -- #  891 unoil.jar
		"com.sun.star.report.XImageControl"                                        , ,   -- #  892 unoil.jar
		"com.sun.star.report.XReportComponent"                                     , ,   -- #  893 unoil.jar
		"com.sun.star.report.XReportControlFormat"                                 , ,   -- #  894 unoil.jar
		"com.sun.star.report.XReportControlModel"                                  , ,   -- #  895 unoil.jar
		"com.sun.star.report.XReportDefinition"                                    , ,   -- #  896 unoil.jar
		"com.sun.star.report.XReportEngine"                                        , ,   -- #  897 unoil.jar
		"com.sun.star.report.XSection"                                             , ,   -- #  898 unoil.jar
/* ---> [com.sun.star.report.XShape]: class name [XShape] in use already! (com.sun.star.drawing.XShape) */ - 
		"com.sun.star.report.XShape"                                               , ,   -- #  899 unoil.jar
		"com.sun.star.report.meta.XFormulaParser"                                  , ,   -- #  900 unoil.jar
		"com.sun.star.report.meta.XFunctionCategory"                               , ,   -- #  901 unoil.jar
		"com.sun.star.report.meta.XFunctionDescription"                            , ,   -- #  902 unoil.jar
		"com.sun.star.report.meta.XFunctionManager"                                , ,   -- #  903 unoil.jar
		"com.sun.star.resource.XLocale"                                            , ,   -- #  904 unoil.jar
		"com.sun.star.resource.XResourceBundle"                                    , ,   -- #  905 unoil.jar
		"com.sun.star.resource.XResourceBundleLoader"                              , ,   -- #  906 unoil.jar
		"com.sun.star.resource.XStringResourceManager"                             , ,   -- #  907 unoil.jar
		"com.sun.star.resource.XStringResourcePersistence"                         , ,   -- #  908 unoil.jar
		"com.sun.star.resource.XStringResourceResolver"                            , ,   -- #  909 unoil.jar
		"com.sun.star.resource.XStringResourceSupplier"                            , ,   -- #  910 unoil.jar
		"com.sun.star.resource.XStringResourceWithLocation"                        , ,   -- #  911 unoil.jar
		"com.sun.star.resource.XStringResourceWithStorage"                         , ,   -- #  912 unoil.jar
		"com.sun.star.scanner.XScannerManager"                                     , ,   -- #  913 unoil.jar
		"com.sun.star.script.XAllListener"                                         , ,   -- #  914 ridl.jar
		"com.sun.star.script.XAllListenerAdapterService"                           , ,   -- #  915 ridl.jar
		"com.sun.star.script.XDebugging"                                           , ,   -- #  916 ridl.jar
		"com.sun.star.script.XDefaultMethod"                                       , ,   -- #  917 ridl.jar
		"com.sun.star.script.XDefaultProperty"                                     , ,   -- #  918 ridl.jar
		"com.sun.star.script.XEngine"                                              , ,   -- #  919 ridl.jar
		"com.sun.star.script.XEngineListener"                                      , ,   -- #  920 ridl.jar
		"com.sun.star.script.XEventAttacher"                                       , ,   -- #  921 ridl.jar
		"com.sun.star.script.XEventAttacherManager"                                , ,   -- #  922 ridl.jar
		"com.sun.star.script.XInvocation"                                          , ,   -- #  923 ridl.jar
		"com.sun.star.script.XInvocation2"                                         , ,   -- #  924 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory"                            , ,   -- #  925 ridl.jar
		"com.sun.star.script.XInvocationAdapterFactory2"                           , ,   -- #  926 ridl.jar
		"com.sun.star.script.XLibraryAccess"                                       , ,   -- #  927 ridl.jar
		"com.sun.star.script.XLibraryContainer"                                    , ,   -- #  928 unoil.jar
		"com.sun.star.script.XLibraryContainer2"                                   , ,   -- #  929 unoil.jar
		"com.sun.star.script.XLibraryContainerExport"                              , ,   -- #  930 unoil.jar
		"com.sun.star.script.XLibraryContainerPassword"                            , ,   -- #  931 unoil.jar
		"com.sun.star.script.XPersistentLibraryContainer"                          , ,   -- #  932 unoil.jar
		"com.sun.star.script.XScriptEventsAttacher"                                , ,   -- #  933 ridl.jar
		"com.sun.star.script.XScriptEventsSupplier"                                , ,   -- #  934 ridl.jar
		"com.sun.star.script.XScriptListener"                                      , ,   -- #  935 ridl.jar
		"com.sun.star.script.XStarBasicAccess"                                     , ,   -- #  936 ridl.jar
		"com.sun.star.script.XStarBasicDialogInfo"                                 , ,   -- #  937 ridl.jar
		"com.sun.star.script.XStarBasicLibraryInfo"                                , ,   -- #  938 ridl.jar
		"com.sun.star.script.XStarBasicModuleInfo"                                 , ,   -- #  939 ridl.jar
		"com.sun.star.script.XStorageBasedLibraryContainer"                        , ,   -- #  940 unoil.jar
		"com.sun.star.script.XTypeConverter"                                       , ,   -- #  941 ridl.jar
		"com.sun.star.script.browse.XBrowseNode"                                   , ,   -- #  942 unoil.jar
		"com.sun.star.script.browse.XBrowseNodeFactory"                            , ,   -- #  943 unoil.jar
		"com.sun.star.script.provider.XScript"                                     , ,   -- #  944 unoil.jar
		"com.sun.star.script.provider.XScriptContext"                              , ,   -- #  945 unoil.jar
		"com.sun.star.script.provider.XScriptProvider"                             , ,   -- #  946 unoil.jar
		"com.sun.star.script.provider.XScriptProviderFactory"                      , ,   -- #  947 unoil.jar
		"com.sun.star.script.provider.XScriptProviderSupplier"                     , ,   -- #  948 unoil.jar
		"com.sun.star.script.provider.XScriptURIHelper"                            , ,   -- #  949 unoil.jar
		"com.sun.star.sdb.XAlterQuery"                                             , ,   -- #  950 unoil.jar
		"com.sun.star.sdb.XBookmarksSupplier"                                      , ,   -- #  951 unoil.jar
		"com.sun.star.sdb.XColumn"                                                 , ,   -- #  952 unoil.jar
		"com.sun.star.sdb.XColumnUpdate"                                           , ,   -- #  953 unoil.jar
		"com.sun.star.sdb.XCommandPreparation"                                     , ,   -- #  954 unoil.jar
		"com.sun.star.sdb.XCompletedConnection"                                    , ,   -- #  955 unoil.jar
		"com.sun.star.sdb.XCompletedExecution"                                     , ,   -- #  956 unoil.jar
		"com.sun.star.sdb.XDataAccessDescriptorFactory"                            , ,   -- #  957 unoil.jar
		"com.sun.star.sdb.XDatabaseAccess"                                         , ,   -- #  958 unoil.jar
		"com.sun.star.sdb.XDatabaseAccessListener"                                 , ,   -- #  959 unoil.jar
		"com.sun.star.sdb.XDatabaseEnvironment"                                    , ,   -- #  960 unoil.jar
		"com.sun.star.sdb.XDocumentDataSource"                                     , ,   -- #  961 unoil.jar
		"com.sun.star.sdb.XFormDocumentsSupplier"                                  , ,   -- #  962 unoil.jar
		"com.sun.star.sdb.XInteractionDocumentSave"                                , ,   -- #  963 unoil.jar
		"com.sun.star.sdb.XInteractionSupplyParameters"                            , ,   -- #  964 unoil.jar
		"com.sun.star.sdb.XOfficeDatabaseDocument"                                 , ,   -- #  965 unoil.jar
		"com.sun.star.sdb.XParametersSupplier"                                     , ,   -- #  966 unoil.jar
		"com.sun.star.sdb.XQueriesSupplier"                                        , ,   -- #  967 unoil.jar
		"com.sun.star.sdb.XQueryDefinitionsSupplier"                               , ,   -- #  968 unoil.jar
		"com.sun.star.sdb.XReportDocumentsSupplier"                                , ,   -- #  969 unoil.jar
		"com.sun.star.sdb.XResultSetAccess"                                        , ,   -- #  970 unoil.jar
		"com.sun.star.sdb.XRowSetApproveBroadcaster"                               , ,   -- #  971 unoil.jar
		"com.sun.star.sdb.XRowSetApproveListener"                                  , ,   -- #  972 unoil.jar
		"com.sun.star.sdb.XRowSetChangeBroadcaster"                                , ,   -- #  973 unoil.jar
		"com.sun.star.sdb.XRowSetChangeListener"                                   , ,   -- #  974 unoil.jar
		"com.sun.star.sdb.XRowSetSupplier"                                         , ,   -- #  975 unoil.jar
		"com.sun.star.sdb.XSQLErrorBroadcaster"                                    , ,   -- #  976 unoil.jar
		"com.sun.star.sdb.XSQLErrorListener"                                       , ,   -- #  977 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposer"                                       , ,   -- #  978 unoil.jar
		"com.sun.star.sdb.XSQLQueryComposerFactory"                                , ,   -- #  979 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryAnalyzer"                              , ,   -- #  980 unoil.jar
		"com.sun.star.sdb.XSingleSelectQueryComposer"                              , ,   -- #  981 unoil.jar
		"com.sun.star.sdb.XSubDocument"                                            , ,   -- #  982 unoil.jar
		"com.sun.star.sdb.application.XCopyTableListener"                          , ,   -- #  983 unoil.jar
		"com.sun.star.sdb.application.XCopyTableWizard"                            , ,   -- #  984 unoil.jar
		"com.sun.star.sdb.application.XDatabaseDocumentUI"                         , ,   -- #  985 unoil.jar
		"com.sun.star.sdb.application.XTableUIProvider"                            , ,   -- #  986 unoil.jar
		"com.sun.star.sdb.tools.XConnectionTools"                                  , ,   -- #  987 unoil.jar
		"com.sun.star.sdb.tools.XDataSourceMetaData"                               , ,   -- #  988 unoil.jar
		"com.sun.star.sdb.tools.XObjectNames"                                      , ,   -- #  989 unoil.jar
		"com.sun.star.sdb.tools.XTableName"                                        , ,   -- #  990 unoil.jar
		"com.sun.star.sdbc.XArray"                                                 , ,   -- #  991 unoil.jar
		"com.sun.star.sdbc.XBatchExecution"                                        , ,   -- #  992 unoil.jar
		"com.sun.star.sdbc.XBlob"                                                  , ,   -- #  993 unoil.jar
		"com.sun.star.sdbc.XClob"                                                  , ,   -- #  994 unoil.jar
		"com.sun.star.sdbc.XCloseable"                                             , ,   -- #  995 unoil.jar
		"com.sun.star.sdbc.XColumnLocate"                                          , ,   -- #  996 unoil.jar
/* ---> [com.sun.star.sdbc.XConnection]: class name [XConnection] in use already! (com.sun.star.connection.XConnection) */ - 
		"com.sun.star.sdbc.XConnection"                                            , ,   -- #  997 unoil.jar
/* ---> [com.sun.star.sdbc.XDataSource]: class name [XDataSource] in use already! (com.sun.star.chart2.data.XDataSource) */ - 
		"com.sun.star.sdbc.XDataSource"                                            , ,   -- #  998 unoil.jar
		"com.sun.star.sdbc.XDatabaseMetaData"                                      , ,   -- #  999 unoil.jar
		"com.sun.star.sdbc.XDatabaseMetaData2"                                     , ,   -- # 1000 unoil.jar
		"com.sun.star.sdbc.XDriver"                                                , ,   -- # 1001 unoil.jar
		"com.sun.star.sdbc.XDriverAccess"                                          , ,   -- # 1002 unoil.jar
		"com.sun.star.sdbc.XDriverManager"                                         , ,   -- # 1003 unoil.jar
		"com.sun.star.sdbc.XGeneratedResultSet"                                    , ,   -- # 1004 unoil.jar
		"com.sun.star.sdbc.XIsolatedConnection"                                    , ,   -- # 1005 unoil.jar
		"com.sun.star.sdbc.XMultipleResults"                                       , ,   -- # 1006 unoil.jar
		"com.sun.star.sdbc.XOutParameters"                                         , ,   -- # 1007 unoil.jar
		"com.sun.star.sdbc.XParameters"                                            , ,   -- # 1008 unoil.jar
		"com.sun.star.sdbc.XPooledConnection"                                      , ,   -- # 1009 unoil.jar
		"com.sun.star.sdbc.XPreparedBatchExecution"                                , ,   -- # 1010 unoil.jar
		"com.sun.star.sdbc.XPreparedStatement"                                     , ,   -- # 1011 unoil.jar
		"com.sun.star.sdbc.XRef"                                                   , ,   -- # 1012 unoil.jar
		"com.sun.star.sdbc.XResultSet"                                             , ,   -- # 1013 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaData"                                     , ,   -- # 1014 unoil.jar
		"com.sun.star.sdbc.XResultSetMetaDataSupplier"                             , ,   -- # 1015 unoil.jar
		"com.sun.star.sdbc.XResultSetUpdate"                                       , ,   -- # 1016 unoil.jar
		"com.sun.star.sdbc.XRow"                                                   , ,   -- # 1017 unoil.jar
		"com.sun.star.sdbc.XRowSet"                                                , ,   -- # 1018 unoil.jar
		"com.sun.star.sdbc.XRowSetListener"                                        , ,   -- # 1019 unoil.jar
		"com.sun.star.sdbc.XRowUpdate"                                             , ,   -- # 1020 unoil.jar
		"com.sun.star.sdbc.XSQLData"                                               , ,   -- # 1021 unoil.jar
		"com.sun.star.sdbc.XSQLInput"                                              , ,   -- # 1022 unoil.jar
		"com.sun.star.sdbc.XSQLOutput"                                             , ,   -- # 1023 unoil.jar
		"com.sun.star.sdbc.XStatement"                                             , ,   -- # 1024 unoil.jar
		"com.sun.star.sdbc.XStruct"                                                , ,   -- # 1025 unoil.jar
		"com.sun.star.sdbc.XWarningsSupplier"                                      , ,   -- # 1026 unoil.jar
		"com.sun.star.sdbcx.XAlterTable"                                           , ,   -- # 1027 unoil.jar
		"com.sun.star.sdbcx.XAlterView"                                            , ,   -- # 1028 unoil.jar
		"com.sun.star.sdbcx.XAppend"                                               , ,   -- # 1029 unoil.jar
		"com.sun.star.sdbcx.XAuthorizable"                                         , ,   -- # 1030 unoil.jar
		"com.sun.star.sdbcx.XColumnsSupplier"                                      , ,   -- # 1031 unoil.jar
		"com.sun.star.sdbcx.XCreateCatalog"                                        , ,   -- # 1032 unoil.jar
		"com.sun.star.sdbcx.XDataDefinitionSupplier"                               , ,   -- # 1033 unoil.jar
		"com.sun.star.sdbcx.XDataDescriptorFactory"                                , ,   -- # 1034 unoil.jar
		"com.sun.star.sdbcx.XDeleteRows"                                           , ,   -- # 1035 unoil.jar
		"com.sun.star.sdbcx.XDrop"                                                 , ,   -- # 1036 unoil.jar
		"com.sun.star.sdbcx.XDropCatalog"                                          , ,   -- # 1037 unoil.jar
		"com.sun.star.sdbcx.XGroupsSupplier"                                       , ,   -- # 1038 unoil.jar
		"com.sun.star.sdbcx.XIndexesSupplier"                                      , ,   -- # 1039 unoil.jar
		"com.sun.star.sdbcx.XKeysSupplier"                                         , ,   -- # 1040 unoil.jar
		"com.sun.star.sdbcx.XRename"                                               , ,   -- # 1041 unoil.jar
		"com.sun.star.sdbcx.XRowLocate"                                            , ,   -- # 1042 unoil.jar
		"com.sun.star.sdbcx.XTablesSupplier"                                       , ,   -- # 1043 unoil.jar
		"com.sun.star.sdbcx.XUser"                                                 , ,   -- # 1044 unoil.jar
		"com.sun.star.sdbcx.XUsersSupplier"                                        , ,   -- # 1045 unoil.jar
		"com.sun.star.sdbcx.XViewsSupplier"                                        , ,   -- # 1046 unoil.jar
		"com.sun.star.security.XAccessControlContext"                              , ,   -- # 1047 ridl.jar
		"com.sun.star.security.XAccessController"                                  , ,   -- # 1048 ridl.jar
		"com.sun.star.security.XAction"                                            , ,   -- # 1049 ridl.jar
		"com.sun.star.security.XCertificate"                                       , ,   -- # 1050 unoil.jar
		"com.sun.star.security.XCertificateContainer"                              , ,   -- # 1051 unoil.jar
		"com.sun.star.security.XCertificateExtension"                              , ,   -- # 1052 unoil.jar
		"com.sun.star.security.XDocumentDigitalSignatures"                         , ,   -- # 1053 unoil.jar
		"com.sun.star.security.XPolicy"                                            , ,   -- # 1054 ridl.jar
		"com.sun.star.security.XSerialNumberAdapter"                               , ,   -- # 1055 unoil.jar
		"com.sun.star.setup.XSetup"                                                , ,   -- # 1056 unoil.jar
		"com.sun.star.sheet.XActivationBroadcaster"                                , ,   -- # 1057 unoil.jar
		"com.sun.star.sheet.XActivationEventListener"                              , ,   -- # 1058 unoil.jar
		"com.sun.star.sheet.XAddIn"                                                , ,   -- # 1059 unoil.jar
		"com.sun.star.sheet.XAreaLink"                                             , ,   -- # 1060 unoil.jar
		"com.sun.star.sheet.XAreaLinks"                                            , ,   -- # 1061 unoil.jar
		"com.sun.star.sheet.XArrayFormulaRange"                                    , ,   -- # 1062 unoil.jar
		"com.sun.star.sheet.XArrayFormulaTokens"                                   , ,   -- # 1063 unoil.jar
		"com.sun.star.sheet.XCalculatable"                                         , ,   -- # 1064 unoil.jar
		"com.sun.star.sheet.XCellAddressable"                                      , ,   -- # 1065 unoil.jar
		"com.sun.star.sheet.XCellFormatRangesSupplier"                             , ,   -- # 1066 unoil.jar
		"com.sun.star.sheet.XCellRangeAddressable"                                 , ,   -- # 1067 unoil.jar
		"com.sun.star.sheet.XCellRangeData"                                        , ,   -- # 1068 unoil.jar
		"com.sun.star.sheet.XCellRangeFormula"                                     , ,   -- # 1069 unoil.jar
		"com.sun.star.sheet.XCellRangeMovement"                                    , ,   -- # 1070 unoil.jar
		"com.sun.star.sheet.XCellRangeReferrer"                                    , ,   -- # 1071 unoil.jar
		"com.sun.star.sheet.XCellRangesAccess"                                     , ,   -- # 1072 unoil.jar
		"com.sun.star.sheet.XCellRangesQuery"                                      , ,   -- # 1073 unoil.jar
		"com.sun.star.sheet.XCellSeries"                                           , ,   -- # 1074 unoil.jar
		"com.sun.star.sheet.XCompatibilityNames"                                   , ,   -- # 1075 unoil.jar
		"com.sun.star.sheet.XConsolidatable"                                       , ,   -- # 1076 unoil.jar
		"com.sun.star.sheet.XConsolidationDescriptor"                              , ,   -- # 1077 unoil.jar
		"com.sun.star.sheet.XDDELink"                                              , ,   -- # 1078 unoil.jar
		"com.sun.star.sheet.XDDELinkResults"                                       , ,   -- # 1079 unoil.jar
		"com.sun.star.sheet.XDDELinks"                                             , ,   -- # 1080 unoil.jar
		"com.sun.star.sheet.XDataPilotDataLayoutFieldSupplier"                     , ,   -- # 1081 unoil.jar
		"com.sun.star.sheet.XDataPilotDescriptor"                                  , ,   -- # 1082 unoil.jar
		"com.sun.star.sheet.XDataPilotField"                                       , ,   -- # 1083 unoil.jar
		"com.sun.star.sheet.XDataPilotFieldGrouping"                               , ,   -- # 1084 unoil.jar
		"com.sun.star.sheet.XDataPilotMemberResults"                               , ,   -- # 1085 unoil.jar
		"com.sun.star.sheet.XDataPilotResults"                                     , ,   -- # 1086 unoil.jar
		"com.sun.star.sheet.XDataPilotTable"                                       , ,   -- # 1087 unoil.jar
		"com.sun.star.sheet.XDataPilotTable2"                                      , ,   -- # 1088 unoil.jar
		"com.sun.star.sheet.XDataPilotTables"                                      , ,   -- # 1089 unoil.jar
		"com.sun.star.sheet.XDataPilotTablesSupplier"                              , ,   -- # 1090 unoil.jar
		"com.sun.star.sheet.XDatabaseRange"                                        , ,   -- # 1091 unoil.jar
		"com.sun.star.sheet.XDatabaseRanges"                                       , ,   -- # 1092 unoil.jar
		"com.sun.star.sheet.XDimensionsSupplier"                                   , ,   -- # 1093 unoil.jar
		"com.sun.star.sheet.XDocumentAuditing"                                     , ,   -- # 1094 unoil.jar
		"com.sun.star.sheet.XDrillDownDataSupplier"                                , ,   -- # 1095 unoil.jar
		"com.sun.star.sheet.XEnhancedMouseClickBroadcaster"                        , ,   -- # 1096 unoil.jar
		"com.sun.star.sheet.XExternalDocLink"                                      , ,   -- # 1097 unoil.jar
		"com.sun.star.sheet.XExternalDocLinks"                                     , ,   -- # 1098 unoil.jar
		"com.sun.star.sheet.XExternalSheetCache"                                   , ,   -- # 1099 unoil.jar
		"com.sun.star.sheet.XExternalSheetName"                                    , ,   -- # 1100 unoil.jar
		"com.sun.star.sheet.XFillAcrossSheet"                                      , ,   -- # 1101 unoil.jar
		"com.sun.star.sheet.XFilterFormulaParser"                                  , ,   -- # 1102 unoil.jar
		"com.sun.star.sheet.XFormulaOpCodeMapper"                                  , ,   -- # 1103 unoil.jar
/* ---> [com.sun.star.sheet.XFormulaParser]: class name [XFormulaParser] in use already! (com.sun.star.report.meta.XFormulaParser) */ - 
		"com.sun.star.sheet.XFormulaParser"                                        , ,   -- # 1104 unoil.jar
		"com.sun.star.sheet.XFormulaQuery"                                         , ,   -- # 1105 unoil.jar
		"com.sun.star.sheet.XFormulaTokens"                                        , ,   -- # 1106 unoil.jar
		"com.sun.star.sheet.XFunctionAccess"                                       , ,   -- # 1107 unoil.jar
		"com.sun.star.sheet.XFunctionDescriptions"                                 , ,   -- # 1108 unoil.jar
		"com.sun.star.sheet.XGoalSeek"                                             , ,   -- # 1109 unoil.jar
		"com.sun.star.sheet.XHeaderFooterContent"                                  , ,   -- # 1110 unoil.jar
		"com.sun.star.sheet.XHierarchiesSupplier"                                  , ,   -- # 1111 unoil.jar
		"com.sun.star.sheet.XLabelRange"                                           , ,   -- # 1112 unoil.jar
		"com.sun.star.sheet.XLabelRanges"                                          , ,   -- # 1113 unoil.jar
		"com.sun.star.sheet.XLevelsSupplier"                                       , ,   -- # 1114 unoil.jar
		"com.sun.star.sheet.XMembersSupplier"                                      , ,   -- # 1115 unoil.jar
		"com.sun.star.sheet.XMultiFormulaTokens"                                   , ,   -- # 1116 unoil.jar
		"com.sun.star.sheet.XMultipleOperation"                                    , ,   -- # 1117 unoil.jar
		"com.sun.star.sheet.XNamedRange"                                           , ,   -- # 1118 unoil.jar
		"com.sun.star.sheet.XNamedRanges"                                          , ,   -- # 1119 unoil.jar
		"com.sun.star.sheet.XPrintAreas"                                           , ,   -- # 1120 unoil.jar
		"com.sun.star.sheet.XRangeSelection"                                       , ,   -- # 1121 unoil.jar
		"com.sun.star.sheet.XRangeSelectionChangeListener"                         , ,   -- # 1122 unoil.jar
		"com.sun.star.sheet.XRangeSelectionListener"                               , ,   -- # 1123 unoil.jar
		"com.sun.star.sheet.XRecentFunctions"                                      , ,   -- # 1124 unoil.jar
		"com.sun.star.sheet.XResultListener"                                       , ,   -- # 1125 unoil.jar
		"com.sun.star.sheet.XScenario"                                             , ,   -- # 1126 unoil.jar
		"com.sun.star.sheet.XScenarioEnhanced"                                     , ,   -- # 1127 unoil.jar
		"com.sun.star.sheet.XScenarios"                                            , ,   -- # 1128 unoil.jar
		"com.sun.star.sheet.XScenariosSupplier"                                    , ,   -- # 1129 unoil.jar
		"com.sun.star.sheet.XSheetAnnotation"                                      , ,   -- # 1130 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationAnchor"                                , ,   -- # 1131 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationShapeSupplier"                         , ,   -- # 1132 unoil.jar
		"com.sun.star.sheet.XSheetAnnotations"                                     , ,   -- # 1133 unoil.jar
		"com.sun.star.sheet.XSheetAnnotationsSupplier"                             , ,   -- # 1134 unoil.jar
		"com.sun.star.sheet.XSheetAuditing"                                        , ,   -- # 1135 unoil.jar
		"com.sun.star.sheet.XSheetCellCursor"                                      , ,   -- # 1136 unoil.jar
		"com.sun.star.sheet.XSheetCellRange"                                       , ,   -- # 1137 unoil.jar
		"com.sun.star.sheet.XSheetCellRangeContainer"                              , ,   -- # 1138 unoil.jar
		"com.sun.star.sheet.XSheetCellRanges"                                      , ,   -- # 1139 unoil.jar
		"com.sun.star.sheet.XSheetCondition"                                       , ,   -- # 1140 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntries"                              , ,   -- # 1141 unoil.jar
		"com.sun.star.sheet.XSheetConditionalEntry"                                , ,   -- # 1142 unoil.jar
		"com.sun.star.sheet.XSheetFilterDescriptor"                                , ,   -- # 1143 unoil.jar
		"com.sun.star.sheet.XSheetFilterDescriptor2"                               , ,   -- # 1144 unoil.jar
		"com.sun.star.sheet.XSheetFilterable"                                      , ,   -- # 1145 unoil.jar
		"com.sun.star.sheet.XSheetFilterableEx"                                    , ,   -- # 1146 unoil.jar
		"com.sun.star.sheet.XSheetLinkable"                                        , ,   -- # 1147 unoil.jar
		"com.sun.star.sheet.XSheetOperation"                                       , ,   -- # 1148 unoil.jar
		"com.sun.star.sheet.XSheetOutline"                                         , ,   -- # 1149 unoil.jar
		"com.sun.star.sheet.XSheetPageBreak"                                       , ,   -- # 1150 unoil.jar
		"com.sun.star.sheet.XSheetPastable"                                        , ,   -- # 1151 unoil.jar
		"com.sun.star.sheet.XSolver"                                               , ,   -- # 1152 unoil.jar
		"com.sun.star.sheet.XSolverDescription"                                    , ,   -- # 1153 unoil.jar
		"com.sun.star.sheet.XSpreadsheet"                                          , ,   -- # 1154 unoil.jar
		"com.sun.star.sheet.XSpreadsheetDocument"                                  , ,   -- # 1155 unoil.jar
		"com.sun.star.sheet.XSpreadsheetView"                                      , ,   -- # 1156 unoil.jar
		"com.sun.star.sheet.XSpreadsheets"                                         , ,   -- # 1157 unoil.jar
		"com.sun.star.sheet.XSubTotalCalculatable"                                 , ,   -- # 1158 unoil.jar
		"com.sun.star.sheet.XSubTotalDescriptor"                                   , ,   -- # 1159 unoil.jar
		"com.sun.star.sheet.XSubTotalField"                                        , ,   -- # 1160 unoil.jar
		"com.sun.star.sheet.XUniqueCellFormatRangesSupplier"                       , ,   -- # 1161 unoil.jar
		"com.sun.star.sheet.XUsedAreaCursor"                                       , ,   -- # 1162 unoil.jar
		"com.sun.star.sheet.XViewFreezable"                                        , ,   -- # 1163 unoil.jar
		"com.sun.star.sheet.XViewPane"                                             , ,   -- # 1164 unoil.jar
		"com.sun.star.sheet.XViewPanesSupplier"                                    , ,   -- # 1165 unoil.jar
		"com.sun.star.sheet.XViewSplitable"                                        , ,   -- # 1166 unoil.jar
		"com.sun.star.sheet.XVolatileResult"                                       , ,   -- # 1167 unoil.jar
		"com.sun.star.smarttags.XSmartTagAction"                                   , ,   -- # 1168 unoil.jar
		"com.sun.star.smarttags.XSmartTagRecognizer"                               , ,   -- # 1169 unoil.jar
		"com.sun.star.style.XAutoStyle"                                            , ,   -- # 1170 unoil.jar
		"com.sun.star.style.XAutoStyleFamily"                                      , ,   -- # 1171 unoil.jar
		"com.sun.star.style.XAutoStyles"                                           , ,   -- # 1172 unoil.jar
		"com.sun.star.style.XAutoStylesSupplier"                                   , ,   -- # 1173 unoil.jar
		"com.sun.star.style.XDefaultsSupplier"                                     , ,   -- # 1174 unoil.jar
		"com.sun.star.style.XStyle"                                                , ,   -- # 1175 unoil.jar
		"com.sun.star.style.XStyleCondition"                                       , ,   -- # 1176 unoil.jar
		"com.sun.star.style.XStyleFamiliesSupplier"                                , ,   -- # 1177 unoil.jar
		"com.sun.star.style.XStyleLoader"                                          , ,   -- # 1178 unoil.jar
		"com.sun.star.style.XStyleSupplier"                                        , ,   -- # 1179 unoil.jar
		"com.sun.star.svg.XSVGPrinter"                                             , ,   -- # 1180 unoil.jar
		"com.sun.star.svg.XSVGWriter"                                              , ,   -- # 1181 unoil.jar
		"com.sun.star.sync.XSyncCollector"                                         , ,   -- # 1182 unoil.jar
		"com.sun.star.sync.XSynchronizer"                                          , ,   -- # 1183 unoil.jar
		"com.sun.star.system.XProxySettings"                                       , ,   -- # 1184 unoil.jar
		"com.sun.star.system.XSimpleMailClient"                                    , ,   -- # 1185 unoil.jar
		"com.sun.star.system.XSimpleMailClientSupplier"                            , ,   -- # 1186 unoil.jar
		"com.sun.star.system.XSimpleMailMessage"                                   , ,   -- # 1187 unoil.jar
		"com.sun.star.system.XSystemShellExecute"                                  , ,   -- # 1188 unoil.jar
		"com.sun.star.table.XAutoFormattable"                                      , ,   -- # 1189 unoil.jar
		"com.sun.star.table.XCell"                                                 , ,   -- # 1190 unoil.jar
		"com.sun.star.table.XCellCursor"                                           , ,   -- # 1191 unoil.jar
		"com.sun.star.table.XCellRange"                                            , ,   -- # 1192 unoil.jar
		"com.sun.star.table.XColumnRowRange"                                       , ,   -- # 1193 unoil.jar
		"com.sun.star.table.XMergeableCell"                                        , ,   -- # 1194 unoil.jar
		"com.sun.star.table.XMergeableCellRange"                                   , ,   -- # 1195 unoil.jar
		"com.sun.star.table.XTable"                                                , ,   -- # 1196 unoil.jar
		"com.sun.star.table.XTableChart"                                           , ,   -- # 1197 unoil.jar
		"com.sun.star.table.XTableCharts"                                          , ,   -- # 1198 unoil.jar
		"com.sun.star.table.XTableChartsSupplier"                                  , ,   -- # 1199 unoil.jar
		"com.sun.star.table.XTableColumns"                                         , ,   -- # 1200 unoil.jar
		"com.sun.star.table.XTableRows"                                            , ,   -- # 1201 unoil.jar
		"com.sun.star.task.XAbortChannel"                                          , ,   -- # 1202 unoil.jar
		"com.sun.star.task.XAsyncJob"                                              , ,   -- # 1203 unoil.jar
		"com.sun.star.task.XInteractionAbort"                                      , ,   -- # 1204 ridl.jar
		"com.sun.star.task.XInteractionApprove"                                    , ,   -- # 1205 unoil.jar
		"com.sun.star.task.XInteractionAskLater"                                   , ,   -- # 1206 unoil.jar
		"com.sun.star.task.XInteractionContinuation"                               , ,   -- # 1207 ridl.jar
		"com.sun.star.task.XInteractionDisapprove"                                 , ,   -- # 1208 unoil.jar
		"com.sun.star.task.XInteractionHandler"                                    , ,   -- # 1209 ridl.jar
		"com.sun.star.task.XInteractionHandler2"                                   , ,   -- # 1210 ridl.jar
		"com.sun.star.task.XInteractionPassword"                                   , ,   -- # 1211 unoil.jar
		"com.sun.star.task.XInteractionRequest"                                    , ,   -- # 1212 ridl.jar
		"com.sun.star.task.XInteractionRequestStringResolver"                      , ,   -- # 1213 unoil.jar
		"com.sun.star.task.XInteractionRetry"                                      , ,   -- # 1214 ridl.jar
		"com.sun.star.task.XJob"                                                   , ,   -- # 1215 unoil.jar
		"com.sun.star.task.XJobExecutor"                                           , ,   -- # 1216 unoil.jar
		"com.sun.star.task.XJobListener"                                           , ,   -- # 1217 unoil.jar
		"com.sun.star.task.XMasterPasswordHandling"                                , ,   -- # 1218 unoil.jar
		"com.sun.star.task.XMasterPasswordHandling2"                               , ,   -- # 1219 unoil.jar
		"com.sun.star.task.XPasswordContainer"                                     , ,   -- # 1220 unoil.jar
		"com.sun.star.task.XStatusIndicator"                                       , ,   -- # 1221 unoil.jar
		"com.sun.star.task.XStatusIndicatorFactory"                                , ,   -- # 1222 unoil.jar
		"com.sun.star.task.XStatusIndicatorSupplier"                               , ,   -- # 1223 unoil.jar
		"com.sun.star.task.XUrlContainer"                                          , ,   -- # 1224 unoil.jar
		"com.sun.star.test.XSimpleTest"                                            , ,   -- # 1225 ridl.jar
		"com.sun.star.test.XTest"                                                  , ,   -- # 1226 ridl.jar
		"com.sun.star.test.XTestListener"                                          , ,   -- # 1227 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest"                                     , ,   -- # 1228 ridl.jar
		"com.sun.star.test.bridge.XBridgeTest2"                                    , ,   -- # 1229 ridl.jar
		"com.sun.star.test.bridge.XBridgeTestBase"                                 , ,   -- # 1230 ridl.jar
		"com.sun.star.test.bridge.XRecursiveCall"                                  , ,   -- # 1231 ridl.jar
		"com.sun.star.test.performance.XPerformanceTest"                           , ,   -- # 1232 ridl.jar
		"com.sun.star.text.XAutoTextContainer"                                     , ,   -- # 1233 unoil.jar
		"com.sun.star.text.XAutoTextEntry"                                         , ,   -- # 1234 unoil.jar
		"com.sun.star.text.XAutoTextGroup"                                         , ,   -- # 1235 unoil.jar
		"com.sun.star.text.XBookmarkInsertTool"                                    , ,   -- # 1236 unoil.jar
/* ---> [com.sun.star.text.XBookmarksSupplier]: class name [XBookmarksSupplier] in use already! (com.sun.star.sdb.XBookmarksSupplier) */ - 
		"com.sun.star.text.XBookmarksSupplier"                                     , ,   -- # 1237 unoil.jar
		"com.sun.star.text.XChapterNumberingSupplier"                              , ,   -- # 1238 unoil.jar
		"com.sun.star.text.XDefaultNumberingProvider"                              , ,   -- # 1239 unoil.jar
		"com.sun.star.text.XDependentTextField"                                    , ,   -- # 1240 unoil.jar
		"com.sun.star.text.XDocumentIndex"                                         , ,   -- # 1241 unoil.jar
		"com.sun.star.text.XDocumentIndexMark"                                     , ,   -- # 1242 unoil.jar
		"com.sun.star.text.XDocumentIndexesSupplier"                               , ,   -- # 1243 unoil.jar
		"com.sun.star.text.XEndnotesSettingsSupplier"                              , ,   -- # 1244 unoil.jar
		"com.sun.star.text.XEndnotesSupplier"                                      , ,   -- # 1245 unoil.jar
		"com.sun.star.text.XFlatParagraph"                                         , ,   -- # 1246 unoil.jar
		"com.sun.star.text.XFlatParagraphIterator"                                 , ,   -- # 1247 unoil.jar
		"com.sun.star.text.XFlatParagraphIteratorProvider"                         , ,   -- # 1248 unoil.jar
		"com.sun.star.text.XFootnote"                                              , ,   -- # 1249 unoil.jar
		"com.sun.star.text.XFootnotesSettingsSupplier"                             , ,   -- # 1250 unoil.jar
		"com.sun.star.text.XFootnotesSupplier"                                     , ,   -- # 1251 unoil.jar
		"com.sun.star.text.XFormField"                                             , ,   -- # 1252 unoil.jar
		"com.sun.star.text.XHeaderFooter"                                          , ,   -- # 1253 unoil.jar
		"com.sun.star.text.XHeaderFooterPageStyle"                                 , ,   -- # 1254 unoil.jar
		"com.sun.star.text.XLineNumberingProperties"                               , ,   -- # 1255 unoil.jar
		"com.sun.star.text.XLineNumberingSupplier"                                 , ,   -- # 1256 unoil.jar
		"com.sun.star.text.XMailMergeBroadcaster"                                  , ,   -- # 1257 unoil.jar
		"com.sun.star.text.XMailMergeListener"                                     , ,   -- # 1258 unoil.jar
/* ---> [com.sun.star.text.XModule]: class name [XModule] in use already! (com.sun.star.frame.XModule) */ - 
		"com.sun.star.text.XModule"                                                , ,   -- # 1259 unoil.jar
		"com.sun.star.text.XMultiTextMarkup"                                       , ,   -- # 1260 unoil.jar
		"com.sun.star.text.XNumberingFormatter"                                    , ,   -- # 1261 unoil.jar
		"com.sun.star.text.XNumberingRulesSupplier"                                , ,   -- # 1262 unoil.jar
		"com.sun.star.text.XNumberingTypeInfo"                                     , ,   -- # 1263 unoil.jar
		"com.sun.star.text.XPageCursor"                                            , ,   -- # 1264 unoil.jar
		"com.sun.star.text.XPagePrintable"                                         , ,   -- # 1265 unoil.jar
		"com.sun.star.text.XParagraphAppend"                                       , ,   -- # 1266 unoil.jar
		"com.sun.star.text.XParagraphCursor"                                       , ,   -- # 1267 unoil.jar
		"com.sun.star.text.XRedline"                                               , ,   -- # 1268 unoil.jar
		"com.sun.star.text.XReferenceMarksSupplier"                                , ,   -- # 1269 unoil.jar
		"com.sun.star.text.XRelativeTextContentInsert"                             , ,   -- # 1270 unoil.jar
		"com.sun.star.text.XRelativeTextContentRemove"                             , ,   -- # 1271 unoil.jar
		"com.sun.star.text.XRubySelection"                                         , ,   -- # 1272 unoil.jar
		"com.sun.star.text.XSentenceCursor"                                        , ,   -- # 1273 unoil.jar
		"com.sun.star.text.XSimpleText"                                            , ,   -- # 1274 unoil.jar
		"com.sun.star.text.XText"                                                  , ,   -- # 1275 unoil.jar
		"com.sun.star.text.XTextAppend"                                            , ,   -- # 1276 unoil.jar
		"com.sun.star.text.XTextAppendAndConvert"                                  , ,   -- # 1277 unoil.jar
		"com.sun.star.text.XTextColumns"                                           , ,   -- # 1278 unoil.jar
		"com.sun.star.text.XTextContent"                                           , ,   -- # 1279 unoil.jar
		"com.sun.star.text.XTextContentAppend"                                     , ,   -- # 1280 unoil.jar
		"com.sun.star.text.XTextConvert"                                           , ,   -- # 1281 unoil.jar
		"com.sun.star.text.XTextCopy"                                              , ,   -- # 1282 unoil.jar
		"com.sun.star.text.XTextCursor"                                            , ,   -- # 1283 unoil.jar
		"com.sun.star.text.XTextDocument"                                          , ,   -- # 1284 unoil.jar
		"com.sun.star.text.XTextEmbeddedObject"                                    , ,   -- # 1285 unoil.jar
		"com.sun.star.text.XTextEmbeddedObjectsSupplier"                           , ,   -- # 1286 unoil.jar
		"com.sun.star.text.XTextField"                                             , ,   -- # 1287 unoil.jar
		"com.sun.star.text.XTextFieldsSupplier"                                    , ,   -- # 1288 unoil.jar
		"com.sun.star.text.XTextFrame"                                             , ,   -- # 1289 unoil.jar
		"com.sun.star.text.XTextFramesSupplier"                                    , ,   -- # 1290 unoil.jar
		"com.sun.star.text.XTextGraphicObjectsSupplier"                            , ,   -- # 1291 unoil.jar
		"com.sun.star.text.XTextMarkup"                                            , ,   -- # 1292 unoil.jar
		"com.sun.star.text.XTextPortionAppend"                                     , ,   -- # 1293 unoil.jar
		"com.sun.star.text.XTextRange"                                             , ,   -- # 1294 unoil.jar
		"com.sun.star.text.XTextRangeCompare"                                      , ,   -- # 1295 unoil.jar
		"com.sun.star.text.XTextRangeMover"                                        , ,   -- # 1296 unoil.jar
		"com.sun.star.text.XTextSection"                                           , ,   -- # 1297 unoil.jar
		"com.sun.star.text.XTextSectionsSupplier"                                  , ,   -- # 1298 unoil.jar
		"com.sun.star.text.XTextShapesSupplier"                                    , ,   -- # 1299 unoil.jar
		"com.sun.star.text.XTextTable"                                             , ,   -- # 1300 unoil.jar
		"com.sun.star.text.XTextTableCursor"                                       , ,   -- # 1301 unoil.jar
		"com.sun.star.text.XTextTablesSupplier"                                    , ,   -- # 1302 unoil.jar
		"com.sun.star.text.XTextViewCursor"                                        , ,   -- # 1303 unoil.jar
		"com.sun.star.text.XTextViewCursorSupplier"                                , ,   -- # 1304 unoil.jar
		"com.sun.star.text.XWordCursor"                                            , ,   -- # 1305 unoil.jar
		"com.sun.star.ucb.XAnyCompare"                                             , ,   -- # 1306 unoil.jar
		"com.sun.star.ucb.XAnyCompareFactory"                                      , ,   -- # 1307 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetFactory"                          , ,   -- # 1308 unoil.jar
		"com.sun.star.ucb.XCachedContentResultSetStubFactory"                      , ,   -- # 1309 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetFactory"                          , ,   -- # 1310 unoil.jar
		"com.sun.star.ucb.XCachedDynamicResultSetStubFactory"                      , ,   -- # 1311 unoil.jar
		"com.sun.star.ucb.XCommandEnvironment"                                     , ,   -- # 1312 unoil.jar
		"com.sun.star.ucb.XCommandInfo"                                            , ,   -- # 1313 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeListener"                              , ,   -- # 1314 unoil.jar
		"com.sun.star.ucb.XCommandInfoChangeNotifier"                              , ,   -- # 1315 unoil.jar
		"com.sun.star.ucb.XCommandProcessor"                                       , ,   -- # 1316 unoil.jar
		"com.sun.star.ucb.XCommandProcessor2"                                      , ,   -- # 1317 unoil.jar
		"com.sun.star.ucb.XContent"                                                , ,   -- # 1318 unoil.jar
		"com.sun.star.ucb.XContentAccess"                                          , ,   -- # 1319 unoil.jar
		"com.sun.star.ucb.XContentCreator"                                         , ,   -- # 1320 unoil.jar
		"com.sun.star.ucb.XContentEventListener"                                   , ,   -- # 1321 unoil.jar
		"com.sun.star.ucb.XContentIdentifier"                                      , ,   -- # 1322 unoil.jar
		"com.sun.star.ucb.XContentIdentifierFactory"                               , ,   -- # 1323 unoil.jar
		"com.sun.star.ucb.XContentIdentifierMapping"                               , ,   -- # 1324 unoil.jar
		"com.sun.star.ucb.XContentProvider"                                        , ,   -- # 1325 unoil.jar
		"com.sun.star.ucb.XContentProviderFactory"                                 , ,   -- # 1326 unoil.jar
		"com.sun.star.ucb.XContentProviderManager"                                 , ,   -- # 1327 unoil.jar
		"com.sun.star.ucb.XContentProviderSupplier"                                , ,   -- # 1328 unoil.jar
		"com.sun.star.ucb.XContentTransmitter"                                     , ,   -- # 1329 unoil.jar
		"com.sun.star.ucb.XDataContainer"                                          , ,   -- # 1330 unoil.jar
		"com.sun.star.ucb.XDynamicResultSet"                                       , ,   -- # 1331 unoil.jar
		"com.sun.star.ucb.XDynamicResultSetListener"                               , ,   -- # 1332 unoil.jar
		"com.sun.star.ucb.XFetchProvider"                                          , ,   -- # 1333 unoil.jar
		"com.sun.star.ucb.XFetchProviderForContentAccess"                          , ,   -- # 1334 unoil.jar
		"com.sun.star.ucb.XFileIdentifierConverter"                                , ,   -- # 1335 unoil.jar
		"com.sun.star.ucb.XInteractionCookieHandling"                              , ,   -- # 1336 unoil.jar
		"com.sun.star.ucb.XInteractionHandlerSupplier"                             , ,   -- # 1337 unoil.jar
		"com.sun.star.ucb.XInteractionReplaceExistingData"                         , ,   -- # 1338 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyAuthentication"                        , ,   -- # 1339 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyAuthentication2"                       , ,   -- # 1340 unoil.jar
		"com.sun.star.ucb.XInteractionSupplyName"                                  , ,   -- # 1341 unoil.jar
		"com.sun.star.ucb.XParameterizedContentProvider"                           , ,   -- # 1342 unoil.jar
		"com.sun.star.ucb.XPersistentPropertySet"                                  , ,   -- # 1343 unoil.jar
		"com.sun.star.ucb.XProgressHandler"                                        , ,   -- # 1344 unoil.jar
		"com.sun.star.ucb.XPropertyMatcher"                                        , ,   -- # 1345 unoil.jar
		"com.sun.star.ucb.XPropertyMatcherFactory"                                 , ,   -- # 1346 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistry"                                    , ,   -- # 1347 unoil.jar
		"com.sun.star.ucb.XPropertySetRegistryFactory"                             , ,   -- # 1348 unoil.jar
		"com.sun.star.ucb.XRecycler"                                               , ,   -- # 1349 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderAcceptor"                          , ,   -- # 1350 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderActivator"                         , ,   -- # 1351 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeListener"                    , ,   -- # 1352 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderChangeNotifier"                    , ,   -- # 1353 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderConnectionControl"                 , ,   -- # 1354 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDistributor"                       , ,   -- # 1355 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderDoneListener"                      , ,   -- # 1356 unoil.jar
		"com.sun.star.ucb.XRemoteContentProviderSupplier"                          , ,   -- # 1357 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess"                                       , ,   -- # 1358 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess2"                                      , ,   -- # 1359 unoil.jar
		"com.sun.star.ucb.XSimpleFileAccess3"                                      , ,   -- # 1360 unoil.jar
		"com.sun.star.ucb.XSortedDynamicResultSetFactory"                          , ,   -- # 1361 unoil.jar
		"com.sun.star.ucb.XSourceInitialization"                                   , ,   -- # 1362 unoil.jar
		"com.sun.star.ucb.XWebDAVCommandEnvironment"                               , ,   -- # 1363 unoil.jar
		"com.sun.star.ui.XAcceleratorConfiguration"                                , ,   -- # 1364 unoil.jar
		"com.sun.star.ui.XContextMenuInterception"                                 , ,   -- # 1365 unoil.jar
		"com.sun.star.ui.XContextMenuInterceptor"                                  , ,   -- # 1366 unoil.jar
		"com.sun.star.ui.XDockingAreaAcceptor"                                     , ,   -- # 1367 unoil.jar
		"com.sun.star.ui.XImageManager"                                            , ,   -- # 1368 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManager"                            , ,   -- # 1369 unoil.jar
		"com.sun.star.ui.XModuleUIConfigurationManagerSupplier"                    , ,   -- # 1370 unoil.jar
		"com.sun.star.ui.XUIConfiguration"                                         , ,   -- # 1371 unoil.jar
		"com.sun.star.ui.XUIConfigurationListener"                                 , ,   -- # 1372 unoil.jar
		"com.sun.star.ui.XUIConfigurationManager"                                  , ,   -- # 1373 unoil.jar
		"com.sun.star.ui.XUIConfigurationManagerSupplier"                          , ,   -- # 1374 unoil.jar
		"com.sun.star.ui.XUIConfigurationPersistence"                              , ,   -- # 1375 unoil.jar
		"com.sun.star.ui.XUIConfigurationStorage"                                  , ,   -- # 1376 unoil.jar
		"com.sun.star.ui.XUIElement"                                               , ,   -- # 1377 unoil.jar
		"com.sun.star.ui.XUIElementFactory"                                        , ,   -- # 1378 unoil.jar
		"com.sun.star.ui.XUIElementFactoryRegistration"                            , ,   -- # 1379 unoil.jar
		"com.sun.star.ui.XUIElementSettings"                                       , ,   -- # 1380 unoil.jar
		"com.sun.star.ui.XUIFunctionListener"                                      , ,   -- # 1381 unoil.jar
		"com.sun.star.ui.dialogs.XAsynchronousExecutableDialog"                    , ,   -- # 1382 unoil.jar
		"com.sun.star.ui.dialogs.XControlAccess"                                   , ,   -- # 1383 unoil.jar
		"com.sun.star.ui.dialogs.XControlInformation"                              , ,   -- # 1384 unoil.jar
		"com.sun.star.ui.dialogs.XDialogClosedListener"                            , ,   -- # 1385 unoil.jar
		"com.sun.star.ui.dialogs.XExecutableDialog"                                , ,   -- # 1386 unoil.jar
		"com.sun.star.ui.dialogs.XFilePicker"                                      , ,   -- # 1387 unoil.jar
		"com.sun.star.ui.dialogs.XFilePicker2"                                     , ,   -- # 1388 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerControlAccess"                         , ,   -- # 1389 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerListener"                              , ,   -- # 1390 unoil.jar
		"com.sun.star.ui.dialogs.XFilePickerNotifier"                              , ,   -- # 1391 unoil.jar
		"com.sun.star.ui.dialogs.XFilePreview"                                     , ,   -- # 1392 unoil.jar
		"com.sun.star.ui.dialogs.XFilterGroupManager"                              , ,   -- # 1393 unoil.jar
		"com.sun.star.ui.dialogs.XFilterManager"                                   , ,   -- # 1394 unoil.jar
		"com.sun.star.ui.dialogs.XFolderPicker"                                    , ,   -- # 1395 unoil.jar
		"com.sun.star.uno.XAdapter"                                                , ,   -- # 1396 ridl.jar
		"com.sun.star.uno.XAggregation"                                            , ,   -- # 1397 ridl.jar
		"com.sun.star.uno.XComponentContext"                                       , ,   -- # 1398 ridl.jar
		"com.sun.star.uno.XCurrentContext"                                         , ,   -- # 1399 ridl.jar
		"com.sun.star.uno.XInterface"                                              , ,   -- # 1400 ridl.jar
		"com.sun.star.uno.XNamingService"                                          , ,   -- # 1401 ridl.jar
		"com.sun.star.uno.XReference"                                              , ,   -- # 1402 ridl.jar
		"com.sun.star.uno.XUnloadingPreference"                                    , ,   -- # 1403 ridl.jar
		"com.sun.star.uno.XWeak"                                                   , ,   -- # 1404 ridl.jar
		"com.sun.star.uri.XExternalUriReferenceTranslator"                         , ,   -- # 1405 ridl.jar
		"com.sun.star.uri.XUriReference"                                           , ,   -- # 1406 ridl.jar
		"com.sun.star.uri.XUriReferenceFactory"                                    , ,   -- # 1407 ridl.jar
		"com.sun.star.uri.XUriSchemeParser"                                        , ,   -- # 1408 ridl.jar
		"com.sun.star.uri.XVndSunStarExpandUrl"                                    , ,   -- # 1409 ridl.jar
		"com.sun.star.uri.XVndSunStarExpandUrlReference"                           , ,   -- # 1410 ridl.jar
		"com.sun.star.uri.XVndSunStarPkgUrlReferenceFactory"                       , ,   -- # 1411 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrl"                                    , ,   -- # 1412 ridl.jar
		"com.sun.star.uri.XVndSunStarScriptUrlReference"                           , ,   -- # 1413 ridl.jar
		"com.sun.star.util.XArchiver"                                              , ,   -- # 1414 unoil.jar
		"com.sun.star.util.XAtomServer"                                            , ,   -- # 1415 unoil.jar
		"com.sun.star.util.XBroadcaster"                                           , ,   -- # 1416 unoil.jar
		"com.sun.star.util.XCancelManager"                                         , ,   -- # 1417 unoil.jar
		"com.sun.star.util.XCancellable"                                           , ,   -- # 1418 unoil.jar
		"com.sun.star.util.XChainable"                                             , ,   -- # 1419 unoil.jar
		"com.sun.star.util.XChangesBatch"                                          , ,   -- # 1420 unoil.jar
		"com.sun.star.util.XChangesListener"                                       , ,   -- # 1421 unoil.jar
		"com.sun.star.util.XChangesNotifier"                                       , ,   -- # 1422 unoil.jar
		"com.sun.star.util.XChangesSet"                                            , ,   -- # 1423 unoil.jar
		"com.sun.star.util.XCloneable"                                             , ,   -- # 1424 unoil.jar
		"com.sun.star.util.XCloseBroadcaster"                                      , ,   -- # 1425 unoil.jar
		"com.sun.star.util.XCloseListener"                                         , ,   -- # 1426 unoil.jar
/* ---> [com.sun.star.util.XCloseable]: class name [XCloseable] in use already! (com.sun.star.sdbc.XCloseable) */ - 
		"com.sun.star.util.XCloseable"                                             , ,   -- # 1427 unoil.jar
		"com.sun.star.util.XDataEditor"                                            , ,   -- # 1428 unoil.jar
		"com.sun.star.util.XDataEditorListener"                                    , ,   -- # 1429 unoil.jar
		"com.sun.star.util.XFlushListener"                                         , ,   -- # 1430 unoil.jar
		"com.sun.star.util.XFlushable"                                             , ,   -- # 1431 unoil.jar
		"com.sun.star.util.XImportable"                                            , ,   -- # 1432 unoil.jar
		"com.sun.star.util.XIndent"                                                , ,   -- # 1433 unoil.jar
		"com.sun.star.util.XJobManager"                                            , ,   -- # 1434 unoil.jar
		"com.sun.star.util.XLinkUpdate"                                            , ,   -- # 1435 unoil.jar
		"com.sun.star.util.XLocalizedAliases"                                      , ,   -- # 1436 unoil.jar
		"com.sun.star.util.XMacroExpander"                                         , ,   -- # 1437 ridl.jar
		"com.sun.star.util.XMergeable"                                             , ,   -- # 1438 unoil.jar
		"com.sun.star.util.XModeChangeApproveListener"                             , ,   -- # 1439 unoil.jar
		"com.sun.star.util.XModeChangeBroadcaster"                                 , ,   -- # 1440 unoil.jar
		"com.sun.star.util.XModeChangeListener"                                    , ,   -- # 1441 unoil.jar
		"com.sun.star.util.XModeSelector"                                          , ,   -- # 1442 unoil.jar
		"com.sun.star.util.XModifiable"                                            , ,   -- # 1443 unoil.jar
		"com.sun.star.util.XModifiable2"                                           , ,   -- # 1444 unoil.jar
		"com.sun.star.util.XModifyBroadcaster"                                     , ,   -- # 1445 unoil.jar
		"com.sun.star.util.XModifyListener"                                        , ,   -- # 1446 unoil.jar
		"com.sun.star.util.XNumberFormatPreviewer"                                 , ,   -- # 1447 unoil.jar
		"com.sun.star.util.XNumberFormatTypes"                                     , ,   -- # 1448 unoil.jar
		"com.sun.star.util.XNumberFormats"                                         , ,   -- # 1449 unoil.jar
		"com.sun.star.util.XNumberFormatsSupplier"                                 , ,   -- # 1450 unoil.jar
		"com.sun.star.util.XNumberFormatter"                                       , ,   -- # 1451 unoil.jar
		"com.sun.star.util.XOfficeInstallationDirectories"                         , ,   -- # 1452 unoil.jar
		"com.sun.star.util.XPropertyReplace"                                       , ,   -- # 1453 unoil.jar
		"com.sun.star.util.XProtectable"                                           , ,   -- # 1454 unoil.jar
		"com.sun.star.util.XRefreshListener"                                       , ,   -- # 1455 unoil.jar
		"com.sun.star.util.XRefreshable"                                           , ,   -- # 1456 unoil.jar
		"com.sun.star.util.XReplaceDescriptor"                                     , ,   -- # 1457 unoil.jar
		"com.sun.star.util.XReplaceable"                                           , ,   -- # 1458 unoil.jar
		"com.sun.star.util.XSearchDescriptor"                                      , ,   -- # 1459 unoil.jar
		"com.sun.star.util.XSearchable"                                            , ,   -- # 1460 unoil.jar
		"com.sun.star.util.XSimpleErrorHandler"                                    , ,   -- # 1461 unoil.jar
		"com.sun.star.util.XSortable"                                              , ,   -- # 1462 unoil.jar
		"com.sun.star.util.XStringAbbreviation"                                    , ,   -- # 1463 unoil.jar
		"com.sun.star.util.XStringEscape"                                          , ,   -- # 1464 unoil.jar
		"com.sun.star.util.XStringMapping"                                         , ,   -- # 1465 unoil.jar
		"com.sun.star.util.XStringSubstitution"                                    , ,   -- # 1466 unoil.jar
		"com.sun.star.util.XStringWidth"                                           , ,   -- # 1467 unoil.jar
		"com.sun.star.util.XTextSearch"                                            , ,   -- # 1468 unoil.jar
		"com.sun.star.util.XTimeStamped"                                           , ,   -- # 1469 unoil.jar
		"com.sun.star.util.XURLTransformer"                                        , ,   -- # 1470 unoil.jar
		"com.sun.star.util.XUniqueIDFactory"                                       , ,   -- # 1471 unoil.jar
		"com.sun.star.util.XUpdatable"                                             , ,   -- # 1472 unoil.jar
		"com.sun.star.util.XVeto"                                                  , ,   -- # 1473 ridl.jar
/* ---> [com.sun.star.util.logging.XLogger]: class name [XLogger] in use already! (com.sun.star.logging.XLogger) */ - 
		"com.sun.star.util.logging.XLogger"                                        , ,   -- # 1474 ridl.jar
		"com.sun.star.util.logging.XLoggerRemote"                                  , ,   -- # 1475 ridl.jar
/* ---> [com.sun.star.view.XControlAccess]: class name [XControlAccess] in use already! (com.sun.star.ui.dialogs.XControlAccess) */ - 
		"com.sun.star.view.XControlAccess"                                         , ,   -- # 1476 unoil.jar
		"com.sun.star.view.XFormLayerAccess"                                       , ,   -- # 1477 unoil.jar
		"com.sun.star.view.XLineCursor"                                            , ,   -- # 1478 unoil.jar
		"com.sun.star.view.XMultiSelectionSupplier"                                , ,   -- # 1479 unoil.jar
		"com.sun.star.view.XPrintJob"                                              , ,   -- # 1480 unoil.jar
		"com.sun.star.view.XPrintJobBroadcaster"                                   , ,   -- # 1481 unoil.jar
		"com.sun.star.view.XPrintJobListener"                                      , ,   -- # 1482 unoil.jar
		"com.sun.star.view.XPrintPreview"                                          , ,   -- # 1483 unoil.jar
		"com.sun.star.view.XPrintSettingsSupplier"                                 , ,   -- # 1484 unoil.jar
		"com.sun.star.view.XPrintable"                                             , ,   -- # 1485 unoil.jar
		"com.sun.star.view.XPrintableBroadcaster"                                  , ,   -- # 1486 unoil.jar
		"com.sun.star.view.XPrintableListener"                                     , ,   -- # 1487 unoil.jar
		"com.sun.star.view.XRenderable"                                            , ,   -- # 1488 unoil.jar
		"com.sun.star.view.XScreenCursor"                                          , ,   -- # 1489 unoil.jar
		"com.sun.star.view.XSelectionChangeListener"                               , ,   -- # 1490 unoil.jar
		"com.sun.star.view.XSelectionSupplier"                                     , ,   -- # 1491 unoil.jar
		"com.sun.star.view.XViewCursor"                                            , ,   -- # 1492 unoil.jar
		"com.sun.star.view.XViewSettingsSupplier"                                  , ,   -- # 1493 unoil.jar
		"com.sun.star.xforms.XDataTypeRepository"                                  , ,   -- # 1494 unoil.jar
		"com.sun.star.xforms.XFormsEvent"                                          , ,   -- # 1495 unoil.jar
/* ---> [com.sun.star.xforms.XFormsSupplier]: class name [XFormsSupplier] in use already! (com.sun.star.form.XFormsSupplier) */ - 
		"com.sun.star.xforms.XFormsSupplier"                                       , ,   -- # 1496 unoil.jar
		"com.sun.star.xforms.XFormsUIHelper1"                                      , ,   -- # 1497 unoil.jar
/* ---> [com.sun.star.xforms.XModel]: class name [XModel] in use already! (com.sun.star.frame.XModel) */ - 
		"com.sun.star.xforms.XModel"                                               , ,   -- # 1498 unoil.jar
/* ---> [com.sun.star.xforms.XSubmission]: class name [XSubmission] in use already! (com.sun.star.form.submission.XSubmission) */ - 
		"com.sun.star.xforms.XSubmission"                                          , ,   -- # 1499 unoil.jar
		"com.sun.star.xml.XExportFilter"                                           , ,   -- # 1500 unoil.jar
		"com.sun.star.xml.XImportFilter"                                           , ,   -- # 1501 unoil.jar
		"com.sun.star.xml.crypto.XMLEncryptionException"                           , ,   -- # 1502 unoil.jar
		"com.sun.star.xml.crypto.XMLSignatureException"                            , ,   -- # 1503 unoil.jar
		"com.sun.star.xml.crypto.XSEInitializer"                                   , ,   -- # 1504 unoil.jar
		"com.sun.star.xml.crypto.XSecurityEnvironment"                             , ,   -- # 1505 unoil.jar
		"com.sun.star.xml.crypto.XUriBinding"                                      , ,   -- # 1506 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryption"                                   , ,   -- # 1507 unoil.jar
		"com.sun.star.xml.crypto.XXMLEncryptionTemplate"                           , ,   -- # 1508 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityContext"                              , ,   -- # 1509 unoil.jar
		"com.sun.star.xml.crypto.XXMLSecurityTemplate"                             , ,   -- # 1510 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignature"                                    , ,   -- # 1511 unoil.jar
		"com.sun.star.xml.crypto.XXMLSignatureTemplate"                            , ,   -- # 1512 unoil.jar
		"com.sun.star.xml.crypto.sax.XBlockerMonitor"                              , ,   -- # 1513 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultBroadcaster"                 , ,   -- # 1514 unoil.jar
		"com.sun.star.xml.crypto.sax.XDecryptionResultListener"                    , ,   -- # 1515 unoil.jar
		"com.sun.star.xml.crypto.sax.XElementStackKeeper"                          , ,   -- # 1516 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultBroadcaster"                 , ,   -- # 1517 unoil.jar
		"com.sun.star.xml.crypto.sax.XEncryptionResultListener"                    , ,   -- # 1518 unoil.jar
		"com.sun.star.xml.crypto.sax.XKeyCollector"                                , ,   -- # 1519 unoil.jar
		"com.sun.star.xml.crypto.sax.XMissionTaker"                                , ,   -- # 1520 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceCollector"                          , ,   -- # 1521 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedBroadcaster"                , ,   -- # 1522 unoil.jar
		"com.sun.star.xml.crypto.sax.XReferenceResolvedListener"                   , ,   -- # 1523 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeper"                              , ,   -- # 1524 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeBroadcaster"       , ,   -- # 1525 unoil.jar
		"com.sun.star.xml.crypto.sax.XSAXEventKeeperStatusChangeListener"          , ,   -- # 1526 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecurityController"                          , ,   -- # 1527 unoil.jar
		"com.sun.star.xml.crypto.sax.XSecuritySAXEventKeeper"                      , ,   -- # 1528 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultBroadcaster"          , ,   -- # 1529 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureCreationResultListener"             , ,   -- # 1530 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultBroadcaster"            , ,   -- # 1531 unoil.jar
		"com.sun.star.xml.crypto.sax.XSignatureVerifyResultListener"               , ,   -- # 1532 unoil.jar
		"com.sun.star.xml.csax.XCompressedDocumentHandler"                         , ,   -- # 1533 unoil.jar
		"com.sun.star.xml.csax.XMLAttribute"                                       , ,   -- # 1534 unoil.jar
		"com.sun.star.xml.dom.XAttr"                                               , ,   -- # 1535 unoil.jar
		"com.sun.star.xml.dom.XCDATASection"                                       , ,   -- # 1536 unoil.jar
		"com.sun.star.xml.dom.XCharacterData"                                      , ,   -- # 1537 unoil.jar
		"com.sun.star.xml.dom.XComment"                                            , ,   -- # 1538 unoil.jar
		"com.sun.star.xml.dom.XDOMImplementation"                                  , ,   -- # 1539 unoil.jar
		"com.sun.star.xml.dom.XDocument"                                           , ,   -- # 1540 unoil.jar
		"com.sun.star.xml.dom.XDocumentBuilder"                                    , ,   -- # 1541 unoil.jar
		"com.sun.star.xml.dom.XDocumentFragment"                                   , ,   -- # 1542 unoil.jar
		"com.sun.star.xml.dom.XDocumentType"                                       , ,   -- # 1543 unoil.jar
		"com.sun.star.xml.dom.XElement"                                            , ,   -- # 1544 unoil.jar
		"com.sun.star.xml.dom.XEntity"                                             , ,   -- # 1545 unoil.jar
		"com.sun.star.xml.dom.XEntityReference"                                    , ,   -- # 1546 unoil.jar
		"com.sun.star.xml.dom.XNamedNodeMap"                                       , ,   -- # 1547 unoil.jar
/* ---> [com.sun.star.xml.dom.XNode]: class name [XNode] in use already! (com.sun.star.rdf.XNode) */ - 
		"com.sun.star.xml.dom.XNode"                                               , ,   -- # 1548 unoil.jar
		"com.sun.star.xml.dom.XNodeList"                                           , ,   -- # 1549 unoil.jar
		"com.sun.star.xml.dom.XNotation"                                           , ,   -- # 1550 unoil.jar
		"com.sun.star.xml.dom.XProcessingInstruction"                              , ,   -- # 1551 unoil.jar
		"com.sun.star.xml.dom.XSAXDocumentBuilder"                                 , ,   -- # 1552 unoil.jar
/* ---> [com.sun.star.xml.dom.XText]: class name [XText] in use already! (com.sun.star.text.XText) */ - 
		"com.sun.star.xml.dom.XText"                                               , ,   -- # 1553 unoil.jar
		"com.sun.star.xml.dom.events.XDocumentEvent"                               , ,   -- # 1554 unoil.jar
		"com.sun.star.xml.dom.events.XEvent"                                       , ,   -- # 1555 unoil.jar
/* ---> [com.sun.star.xml.dom.events.XEventListener]: class name [XEventListener] in use already! (com.sun.star.document.XEventListener) */ - 
		"com.sun.star.xml.dom.events.XEventListener"                               , ,   -- # 1556 unoil.jar
		"com.sun.star.xml.dom.events.XEventTarget"                                 , ,   -- # 1557 unoil.jar
		"com.sun.star.xml.dom.events.XMouseEvent"                                  , ,   -- # 1558 unoil.jar
		"com.sun.star.xml.dom.events.XMutationEvent"                               , ,   -- # 1559 unoil.jar
		"com.sun.star.xml.dom.events.XUIEvent"                                     , ,   -- # 1560 unoil.jar
		"com.sun.star.xml.dom.views.XAbstractView"                                 , ,   -- # 1561 unoil.jar
		"com.sun.star.xml.dom.views.XDocumentView"                                 , ,   -- # 1562 unoil.jar
		"com.sun.star.xml.input.XAttributes"                                       , ,   -- # 1563 unoil.jar
/* ---> [com.sun.star.xml.input.XElement]: class name [XElement] in use already! (com.sun.star.xml.dom.XElement) */ - 
		"com.sun.star.xml.input.XElement"                                          , ,   -- # 1564 unoil.jar
		"com.sun.star.xml.input.XNamespaceMapping"                                 , ,   -- # 1565 unoil.jar
		"com.sun.star.xml.input.XRoot"                                             , ,   -- # 1566 unoil.jar
		"com.sun.star.xml.sax.XAttributeList"                                      , ,   -- # 1567 unoil.jar
		"com.sun.star.xml.sax.XDTDHandler"                                         , ,   -- # 1568 unoil.jar
		"com.sun.star.xml.sax.XDocumentHandler"                                    , ,   -- # 1569 unoil.jar
		"com.sun.star.xml.sax.XEntityResolver"                                     , ,   -- # 1570 unoil.jar
		"com.sun.star.xml.sax.XErrorHandler"                                       , ,   -- # 1571 unoil.jar
		"com.sun.star.xml.sax.XExtendedDocumentHandler"                            , ,   -- # 1572 unoil.jar
		"com.sun.star.xml.sax.XFastAttributeList"                                  , ,   -- # 1573 unoil.jar
		"com.sun.star.xml.sax.XFastContextHandler"                                 , ,   -- # 1574 unoil.jar
		"com.sun.star.xml.sax.XFastDocumentHandler"                                , ,   -- # 1575 unoil.jar
		"com.sun.star.xml.sax.XFastParser"                                         , ,   -- # 1576 unoil.jar
		"com.sun.star.xml.sax.XFastSAXSerializable"                                , ,   -- # 1577 unoil.jar
		"com.sun.star.xml.sax.XFastSerializer"                                     , ,   -- # 1578 unoil.jar
		"com.sun.star.xml.sax.XFastShapeContextHandler"                            , ,   -- # 1579 unoil.jar
		"com.sun.star.xml.sax.XFastTokenHandler"                                   , ,   -- # 1580 unoil.jar
		"com.sun.star.xml.sax.XLocator"                                            , ,   -- # 1581 unoil.jar
		"com.sun.star.xml.sax.XParser"                                             , ,   -- # 1582 unoil.jar
		"com.sun.star.xml.sax.XSAXSerializable"                                    , ,   -- # 1583 unoil.jar
		"com.sun.star.xml.wrapper.XXMLDocumentWrapper"                             , ,   -- # 1584 unoil.jar
		"com.sun.star.xml.wrapper.XXMLElementWrapper"                              , ,   -- # 1585 unoil.jar
		"com.sun.star.xml.xpath.XPathException"                                    , ,   -- # 1586 unoil.jar
		"com.sun.star.xml.xpath.XPathObjectType"                                   , ,   -- # 1587 unoil.jar
		"com.sun.star.xml.xpath.XXPathAPI"                                         , ,   -- # 1588 unoil.jar
		"com.sun.star.xml.xpath.XXPathExtension"                                   , ,   -- # 1589 unoil.jar
		"com.sun.star.xml.xpath.XXPathObject"                                      , ,   -- # 1590 unoil.jar
		"com.sun.star.xsd.XDataType"                                               , ,   -- # 1591 unoil.jar
/* ---> [drafts.com.sun.star.form.XBindableValue]: class name [XBindableValue] in use already! (com.sun.star.form.binding.XBindableValue) */ - 
		"drafts.com.sun.star.form.XBindableValue"                                  , ,   -- # 1592 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntryListener]: class name [XListEntryListener] in use already! (com.sun.star.form.binding.XListEntryListener) */ - 
		"drafts.com.sun.star.form.XListEntryListener"                              , ,   -- # 1593 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySink]: class name [XListEntrySink] in use already! (com.sun.star.form.binding.XListEntrySink) */ - 
		"drafts.com.sun.star.form.XListEntrySink"                                  , ,   -- # 1594 unoil.jar
/* ---> [drafts.com.sun.star.form.XListEntrySource]: class name [XListEntrySource] in use already! (com.sun.star.form.binding.XListEntrySource) */ - 
		"drafts.com.sun.star.form.XListEntrySource"                                , ,   -- # 1595 unoil.jar
/* ---> [drafts.com.sun.star.form.XValueBinding]: class name [XValueBinding] in use already! (com.sun.star.form.binding.XValueBinding) */ - 
		"drafts.com.sun.star.form.XValueBinding"                                     ,   -- # 1596 unoil.jar
   )

-- maximum fully qualified class-name length: 72, maximum length of class name: 41
-- say l~items "items in list l" /* should be: 1596 items */

   return l
